Management Consoles

Microsoft® Small Business Server 2000 enables an administrator to manage the server completely from Microsoft Management Console (MMC) version 1.2. By using a management console that is configured for Small Business Server, administrators can view and configure any server application from any computer that is connected to the network.

Small Business Server Management Consoles

Small Business Server management consoles are preconfigured with all the snap-ins, taskpads, and tasks that are necessary to manage your Small Business Server network. You can use the preconfigured consoles as they are, customize them according to your requirements, or create your own custom consoles.

You can start users in one of the preconfigured Small Business Server management consoles or in a customized management console when they log on through Microsoft Windows® 2000 Terminal Services. To grant users access to your management consoles, you must grant Terminal Services privileges to users and configure the Small Business Server computer to accept Terminal Services connections.

Small Business Server includes the following preconfigured management consoles:

  • Small Business Server Administrator Console
  • Small Business Server Personal Console

Small Business Server Snap-ins

Each Small Business Server snap-in is designed to manage a particular server application or network resource. You can add or remove Small Business Server snap-ins from your management consoles as you add or remove resources from your Small Business Server network.

After installation, you can use the preconfigured snap-ins as they are or customize them to your requirements. You can change how snap-ins query particular Active Directory™ directory service objects or change the display to use particular taskpads and tasks. You can also add or remove snap-ins from the management consoles that you distribute to others to control which management tasks are available to individual users.

Small Business Server includes the following preconfigured snap-ins:

  • BackOffice Home snap-in
  • BackOffice Manager snap-in
  • Windows 2000 Active Directory Users & Computers snap-in
  • Windows 2000 Computer Management snap-in
  • Exchange 2000 Server snap-in
  • Internet Security and Acceleration Server 2000 snap-in
  • Microsoft Shared Fax snap-in
  • Health Monitor snap-in
  • Windows 2000 Terminal Services snap-in
  • Internet Information Services snap-in
  • BackOffice To Do List snap-in

Small Business Server Scripts and Wizards

All preconfigured Small Business Server management consoles provide links to scripts and wizards to assist users with common management tasks.

You can use the Small Business Server scripts and wizards to perform the following tasks:

  • Add client computers to the Small Business Server network
  • Add security groups
  • Add software to client computers
  • Add user accounts
  • Change your Internet service provider (ISP) password
  • Configure network printers
  • Configure Server Status Reports
  • Create distribution groups
  • Create shared folders
  • Manage faxes
  • Set up an Internet connection
  • Synchronize e-mail with your ISP

Related Topics

Best Practices


Small Business Server Snap-ins

Snap-ins are individual server management components that are loaded into the Microsoft Management Console as tools to help network administrators perform their tasks. A snap-in can work independently or extend the functionality of other snap-ins.

The building blocks that make up Small Business Server management consoles are the object-specific snap-ins. Small Business Server provides two stand-alone snap-ins: BackOffice Manager and BackOffice Home. Other snap-ins are provided by the individual server products (such as Microsoft Exchange 2000 Server, Internet Security and Acceleration (ISA) Server 2000, and SQL Server Enterprise Manager) and by Active Directory. A stand-alone snap-in can be added as a node to a management console or as an extension to another snap-in.

You can add or remove snap-ins to create your own customized management consoles. To further customize your consoles, you can create taskpad views to display and arrange tasks that are associated with a particular snap-in or with multiple snap-ins.

BackOffice Manager Snap-in

The BackOffice Manager snap-in provides a management shell to create and save customized queries of Active Directory objects such as users, groups, printers, and computers. You can customize queries by adding or removing the columns displayed for query results, adding or removing the context menu actions associated with an Active Directory object, and creating taskpad views to manage the objects found by a query.

The preconfigured Small Business Server management consoles include five saved query nodes under BackOffice Manager. The following tables list the context menu items and columns displayed for each of the default BackOffice query nodes in the Small Business Server predefined management consoles.

Small Business Server Administrator Console

Query node | Context menu items | Displayed columns
Users | Add User Add members to a group Reset Password Disable Account Delete | Description Exchange Home Server Logon Name Telephone Number X500 Distinguished Name
Security Groups | Add Group Delete | Description X500 Distinguished Name
Distribution Groups | Add Group Delete | Description X500 Distinguished Name
Printers | Add Printer Modify Printer Properties Manage Print Jobs | Location Model Server Name Share Name
Computers | Set Up Computer Add Software to Computer Configure Set Up Computer Wizard Manage View Event Log Remove Client Computer | Description Operating System Operating System Version

Note You can learn more about a BackOffice Manager query node by selecting Edit Query in the context sensitive help.

Small Business Server Personal Console

Query node† | Available Tasks† | Displayed columns
Users | Add User Add members to a group Reset Password | Description Logon Name Telephone Number
Security Groups | Add Group | Description
Distribution Groups | Add Group | Description
Printers | Add Printer Modify Printer Properties Manage Print Jobs | Location Model Server Name Share Name
Computers | Set Up Computer Add Software to Computer Configure Set Up Computer Wizard Manage View Event Log Remove Client Computer | Description Operating System Operating System Version

† In the Small Business Server Personal Console, the query nodes and the context menu items are not displayed because the Console Tree is hidden. However, these items can still be accessed by using the Favorites links and the taskpad tasks respectively.

Note You can learn more about a BackOffice Manager query node by selecting Edit Query in the context sensitive help.

BackOffice Home Snap-in

The BackOffice Home snap-in is a centralized source for all server health and status information. By default, the BackOffice Home snap-in displays information about Health Monitor alerts, performance counters, and service status, but you can customize the view to fit your administrative needs. Administrators can use the BackOffice Home snap-in to configure reports and schedule regular status updates to be sent by e-mail. The BackOffice Home snap-in also provides helpful links to the Small Business Server Web site and Online Help.

Related Topics

Customizing Management Consoles


Best Practices

You can get the most out of Small Business Server by following these best practices of management technique.

Using Templates to Add Users

Small Business Server enables you use any existing user's settings as a template to create new users.

Using Templates to Add Users

Adding New Users from Templates

Disabling User Accounts

Learn why it is better to disable a user account then to delete it.

Disabling User Accounts

Using the Default Shared Folders

Small Business Server installs and configures several shared folders during setup.

Using the Default Small Business Server Shared Folders

Changing Existing Consoles to Create New Consoles

You can quickly create your own management consoles by changing the snap-ins and tasks that are included in the preconfigured Small Business Server consoles.

Changing Existing Consoles to Create New Consoles

Using Security Groups and Group Policies to Control Access to Resources

When created, all users are assigned to security groups. Using security groups and group policies to manage access to system resources increases your network security.

Using Security Groups to Control Access to Resources

Applying Windows 2000 Group Policies

Using Security Groups to Restrict Access to Shared Folders

Designing Consoles

Learn some of the conceptual details of and best practices for making your management consoles.

Customizing Management Consoles


Using Templates to Add Users

User templates let administrators create new user accounts by copying the properties from an existing user account. Small Business Server contains three predefined user accounts that are part of the BackOffice Template Users security group. These accounts appear as templates in the Add User Wizard.

When a template is selected, the following items are copied from the template user to the new user:

  • All security group and distribution group memberships
  • All address information found on the Address tab in the User Property dialog box
  • Terminal Services settings found on the Environment tab in the User Property dialog box
  • Remote access settings found on the Dial-in tab in the User Property dialog box

Note Individual access rights that are assigned to a user, such as permissions on a shared folder or network printer, are not copied to the template. The template only inherits the access rights of the propagated groups. For example, all users created from the BackOffice User template have access to Internet connections members of the BackOffice Internet Users security group. However, granting the BackOffice Users account access to a particular shared folder or printer does not grant all users that are built on this template access to the particular network resource.

You can create new user templates by adding users to the BackOffice Template Users security group. After you add a user to the Members list of this security group, it becomes available as a user template in the Add User Wizard.

By default, the BackOffice Template Users security group contains three members. Expand the following nodes to view the group memberships and access to resources for each default member.

Small Business User

By default, the Small Business User has the following group memberships and access to resources.

Group membership | Provides access to
Domain Users (W) | Shared folders (read), printers (print), fax devices (submit faxes)
BackOffice Internet Users | Internet browsing

All groups listed are global security groups unless otherwise indicated. The groups created by Microsoft Windows 2000 Server are marked (W).

Small Business Power User

By default, the Small Business Power User has the same group memberships as the Small Business User and also has the following administrative-level access to resources.

Group membership | Provides access to
BackOffice Remote Operators | Logon rights to the server via Windows 2000 Terminal Services
BackOffice Fax Operators | Fax devices (submit and manage devices)
BackOffice Folder Operators | Shared Folders (Full control)
  • Machine Local Admins (domain local group) (W)
 Logon rights to the local computer, copy and read files on the server, and create folders
  • Server Operators (domain local group) (W)
 Administer domain server
Back Office Mail Operators | Microsoft Exchange mailboxes
Account Operators (domain local group) (W) | User, group, and computer objects
Print Operators (domain local group) (W) | Printers

All groups listed are global security groups unless otherwise indicated. The groups created by Windows 2000 Server are marked (W). If a global group is a member of one or more domain local groups, the domain local groups are listed as bulleted items beneath the global group.

Small Business Administrator

By default, the Small Business Administrator has the same group memberships as the Small Business User and also has the following administrative-level access to resources.

Group membership | Provides access to
Domain Admins | Unrestricted access to domain
  • Administrators
 Unrestricted access to domain

All groups listed are global security groups unless otherwise indicated. The groups created by Windows 2000 Server are marked (W).

Related topics

Add a User Template to the Add User Wizard


Adding Users from Templates

The Add User Wizard enables you to create a user account from an existing user template. Security group memberships, account restrictions, and any predefined contact information are copied from the saved template to the new user. By using the user template, you can reduce the repetitive task of setting up a new user.

Small Business Server comes with the following three predefined user templates.

Small Business Administrators

Use this template for any user to which you want to grant full administrative rights on Small Business Server. Administrators are able to add and remove programs, create and change management consoles, manage user accounts, and control all network resources such as shared folders.

Small Business Power Users

Use this template for users to which you want to grant limited administrative rights on Small Business Server. Power users are able to view and add user accounts, access most shared folders and server-side applications, and use management consoles through Microsoft Windows 2000 Terminal Services.

Small Business Users

Use this template for typical Small Business Server users. Users are able to access e-mail, the Internet, printers, and the shared folders from which they are not excluded by Group Policies.

You can review and change these default templates from the Properties dialog box in the Security Groups section of either Small Business Server console.

You can also add users to the list of template users. Users who are added to the BackOffice Template Users security group appear as template options the next time you run the Add User Wizard.

Related Topics

Add a User to BackOffice Template Users


Disabling User Accounts

Occasionally, you may want to inactivate a user account that you no longer need. Small Business Server offers two ways to remove a user account, by either disabling it or deleting it. However, in most instances it is better to disable an unneeded user account than to delete it permanently.

A disabled user account cannot be used by Small Business Server to log on to a network or to access network resources. Because the account still exists, it retains useful information about security group memberships, contact information, and network usage. Disabled accounts can also be used as a template for other users, can provide historical data for planning or tracking purposes, and can be reactivated if needed.

A deleted user account, however, is permanently erased from Active Directory and cannot be recovered.

Disabled accounts do not take up much disk space because user account disk usage is, in general, minimal. Most Small Business Server computers never have enough user accounts to pose a storage problem.


How To

Small Business Server uses Microsoft Management Console (MMC) to administer and manage network resources. Use the following information to design, create, and change management consoles.

Customizing the BackOffice Manager Snap-in

Learn how to customize the BackOffice Manager snap-in by adding queries, Active Directory objects, and context menus.

Add a Query Node to the BackOffice Manager Snap-in

Add an Aggregator Node to the BackOffice Manager Snap-in

Add an Active Directory Object to the BackOffice Manager Snap-in

Customize Query List Views

Define the Context Menu for BackOffice Manager Queries

Managing Snap-ins

Learn how to add and remove stand-alone snap-ins and their extensions.

Add a Stand-Alone Snap-in to a Console

Add an Extension to a Snap-in

Remove a Snap-in from a Console

Remove an Extension from a Snap-in

Managing Taskpads

Learn how to create, change, and remove taskpad views.

Create a Taskpad

Delete a Taskpad

Add a Task to a Taskpad

Delete a Task from a Taskpad

Customizing Console Views

Learn how to display or hide management console elements and set the console mode.

Customize the Console View

Set a Console to User or Author Mode

Add an Item to the Console Favorites Menu

Saving and Distributing Console Files

Learn how to save and distribute your custom console files.

Save and Distribute Custom Console Files

Give Users Access to Terminal Services

Configure Users' Terminal Services Start Up with the Add User Wizard

Adding Security Groups

Learn how to add new security groups to manage your network resources.

Add a Security Group

Managing Users

Learn how to perform common user management tasks.

Add a User

Add a User to a Security Group

Set User Account Restrictions

Review or Change User Information

Reset User Passwords

Grant or Revoke Remote Access Permissions for a User

Control User Access to the Internet

Disable a User Account

Delete a User Account

Add a User Template to the Add User Wizard

Change User Template Properties

Remove a User Template

Add a User to the Backup Operators Security Group

Add or Remove Distribution Group Members

Delete a Distribution Group

Managing Printers

Learn how to perform common user management tasks.

Add a Printer

Review or Change Printer Properties

View or Manage Print Jobs

Delete a Print Job

Related Topics

Best Practices


Create a Taskpad

You can add and customize taskpad views to display only the tasks that your intended administrator needs.

To create a new taskpad for a snap-in

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. From the Console Tree, select the snap-in for which you want to create a taskpad.
  3. Click Action, and then click New taskpad view to start the New Taskpad View Wizard.
  4. Follow the on-screen instructions to complete the wizard. You can add new tasks to the taskpad by selecting the Start New Task Wizard check box at the end of the wizard.

Note You may need to customize the console view to see the Console Tree and console menus.

Related Topics

Customize the Console View

Add a Task to a Taskpad


Delete a Taskpad

You can customize Small Business Server management consoles by deleting the taskpad view that is associated with a particular snap-in. After a taskpad has been deleted, it cannot be recovered. It must be re-created.

To delete a taskpad from a snap-in

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. From the Console Tree, select the snap-in that contains the taskpad that you want to delete.
  3. Click Action, and then click Delete Taskpad View.

Note You may need to customize the console view to see the Console Tree and console menus.

Related Topics

Customize the Console View


Add a Task to a Taskpad

A task can be any command on a console menu or command line, such as an executable file, script, or URL. You can add tasks to a taskpad from the New Task Wizard or the taskpad properties page.

To add a task to a taskpad

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. From the Console Tree, select the snap-in that contains the taskpad that you want to change.
  3. Click Action, and then click New Taskpad View to start the New Task Wizard.
  4. Select a task type:
    • Menu Command. Runs a command from a menu.
    • Shell Command. Runs a script, starts a program, and opens a Web page.
    • Navigation. Navigates to a view that you selected on the Favorites tab.
  5. Follow the on-screen instructions to complete the New Task Wizard.
  6. Click OK to save the new taskpad view.

Note You may need to customize the console view to see the Console Tree and console menus.

Related Topics

Customize the Console View


Delete a Task from a Taskpad

You can delete tasks that you do not want users or other administrators to use from a taskpad. You can also delete tasks from the default Small Business Server management consoles and then save them as custom management consoles (.msc files) for your power users or remote administrators.

To delete a task from a taskpad

  1. Open the management console in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. From the Console Tree, select the snap-in that contains the taskpad that you want to change.
  3. Click Action, and then click Edit Taskpad View.
  4. Click the Tasks tab. In the Task list, select the task that you want to remove, and then click Remove.
  5. Click OK to save the new taskpad view.

Note You may need to customize the console view to see the Console Tree and console menus.

Related Topics

Customize the Console View


Customize the Console View

You can customize the console view to display or hide the menus, toolbars, and status bars that are available to console administrators.

To customize the console view

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Click View, and then click Customize.
  3. In the Customize View dialog box, select the check boxes for MMC elements and snap-in features that you want to view or hide.

    MMC elements

    • To display or hide the Console Tree, select or clear the Console Tree check box.
    • To display or hide the Action and View menus, select or clear the Standard menus (Action and View) check box.
    • To display or hide the console toolbar, select or clear the Standard toolbar check box.
    • To display or hide the status bar at the bottom of the console window, select or clear the Status bar check box.
    • To display or hide the description bar along the top of the Details Pane, select or clear the Description bar check box.
    • To display or hide the tabs along the bottom of the Details Pane, select or clear the Taskpad navigation tabs check box.

    Important If you clear the Standard menus (Action and View) check box and close the Customize View dialog box, you cannot access commands on the Action and View menus, including the Customize command. In this situation, to access the Customize View dialog box, click the system menu (the icon in the upper-left corner of the console), and then click Customize View.

    Notes

    • As you select or clear check boxes, view the console to confirm that the changes that appear are what you expect.
    • If you hide the Console Tree, the Favorites tab, if applicable, still appears.
    • If you hide the Action and View menus, the Favorites menu, if applicable, still appears.

    4. Snap-in features

    • To display or hide menus specific to snap-ins, select or clear the Menus check box.
    • To display or hide toolbars specific to snap-ins, select or clear the Toolbars check box.

    Note When you select or clear the Menus and Toolbars check boxes, the menus and toolbars are displayed or hidden for all snap-ins in the console, not just the currently selected snap-in. If selecting and clearing the check boxes does not change the view, the currently selected snap-in does not have custom menus or toolbars.

  4. Click OK to save your changes.


Set a Console to User or Author Mode

When building a custom console, you can assign to the console one of two general access options: author mode or user mode. In user mode you can specify one of three levels of access: full access, limited access (multiple window), or limited access (single window).

Author Mode

Setting a console to author mode grants an administrator full access to all console functionality, including the ability to add or remove snap-ins and taskpads, define new tasks, and view all portions of the Console Tree.

After author mode is set as the access mode for a console, MMC continues to open that console in author mode until it is saved in user mode. When one of the user modes is set as the default for a console, you can use either the context-sensitive command Author or the command-line option /a to open the console in author mode.

User Mode

Setting a console to user mode disables authoring features and limits the console views and queries that a user can use to perform administrative tasks.

  • Full access. Displays the entire Console Tree, but prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, multiple window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, single window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins or changing console properties. Also prevents users from creating new windows.

To set a management console to user or author mode

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Click Console, and then click Options.
  3. In the Console Mode list, select the author or user mode that you want to set for the console.
  4. Select or clear the check boxes for any options that you want to grant or deny users:
    • Enable context menus on taskpads in this console. Displays the list of context menu tasks that are available when the user right-clicks an object in the management console.
    • Do not save changes to this console. Prevents users from saving changes to the console.
    • Allow the user to customize views. Enables the user to add or remove management console menus, toolbars, and the Console Tree.
  5. Click OK to close the Options dialog box.
  6. Close the console, and then click Yes when you are prompted to save console settings.


Save and Distribute Custom Console Files

You can create custom console files by adding or removing multiple snap-ins, tasks, toolbars, and menus, and then saving them together in a management console (.msc file). After you create them, you can make your custom console files available to users, who can then manage Small Business Server from their computers by using Microsoft Windows 2000 Terminal Services. This is helpful in businesses where you want power users to perform certain common and repetitive network tasks, such as user and group management, without granting them access to unneeded or restricted network maintenance tasks.

Small Business Server includes two preconfigured consoles: the Small Business Server Administrator Console and the Small Business Server Personal Console. You can use these two consoles as templates to create and customize your own consoles.

To save a custom console file

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Add any snap-ins, taskpads, tasks, and custom views that you want for this console.
  3. When you complete your customization, click Console, and then click Save As.
  4. In the Save in list, select the folder on the Small Business Server computer in which you want to save the new console file.

    Tip You can distribute your custom management consoles by saving them to the All Users Application Data folder and creating a shortcut to the console in the Start menu. The Application Data folder is a hidden folder that is located at the following path:
    <drive letter>:\Documents and Settings\All Users\Application Data

  5. In the File name box, type a unique name for your new console file.
  6. Click Save to save the console file.

To distribute a custom management console

You can distribute your custom management consoles by using two methods:

  • Copy the console file to a shared folder on the Small Business Server computer.
  • Copy the console file to the All Users Application Data folder.

To use custom management consoles

To use your custom management consoles, users must use Windows 2000 Terminal Services to connect to your Small Business Server computer, log on to the server, and open the custom management consoles that are stored on the server.

Tip You can make your custom management consoles available to users by copying the console files in the All Users Application Data folder and creating a Start Menu shortcut to the file in each user's personal Application Data folder. The Application Data folder is a hidden folder that is located at the following path:
<drive letter>:\Documents and Settings\All Users\Application Data

Important Only users that have server logon rights can log on to the Small Business Server computer by using Terminal Services.

Related Topics

Give Users Access to Terminal Services


Grant Users Access to Terminal Services

You can administer your Small Business Server network from any computer that is connected to your network by using Microsoft Windows 2000 Terminal Services. By default, only Administrators can use Terminal Services to log on to the Small Business Server computer. Users can access Terminal Services by using Terminal Services Client software or Internet Explorer.

Grant Terminal Services access to members of the BackOffice Remote Operators group

The following steps grant all members of the BackOffice Remote Operators security group permission to log on to the Small Business Server computer. You may want to implement additional security features, such as establishing Windows 2000 Group Policies, to keep members of BackOffice Remote Operators from viewing or making unauthorized changes to files on the Small Business Server computer.

Note By default, the Small Business Template Power User is a member of the BackOffice Remote Operators security group. When you grant Terminal Services access to the BackOffice Remote Operators security group, all new users created by using the Small Business Template Power User automatically have Terminal Services access rights.

To configure the Terminal Services Configuration snap-in

  1. From the Small Business Server Administrator Console, expand the Terminal Services Configuration snap-in, and then click the Connections folder.
  2. From the Details Pane, right-click the network connection for your server (for example, RDP-TCP), and then click Properties.
  3. Click the Permissions tab, click Add, select the domain local security group BackOffice Remote Operators, click Add, and then click OK.
  4. Select the User Access check box, and then click OK to close the Connection Properties dialog box.

To configure the Domain Controller Security Policy

  1. Click Start, point to Programs, point to Administrative Tools, and then click Domain Controller Security Policy.
  2. Expand Security Settings, expand Local Policies, and then click User Rights Assignment.
  3. From the Details Pane, right-click Log on Locally, and then click Security.
  4. Select the Define these policy settings check box, click Add, click Browse, and then select the domain local security group BackOffice Remote Operators.
  5. Click Add, click OK to add the group, click OK to add a user or group, and then click OK to close the Security Policy Setting dialog box.

Run Terminal Services from Internet Explorer

Users can run Terminal Services from Internet Explorer by connecting to the Web-based Small Business Server console. Users can access the Web-based console without installing Terminal Services Client software.

  1. Browse to the Web-based Small Business Server console that is located at:

    http://servername/myconsole

    where servername is the name of your Small Business Server computer.

  2. Users must enter a valid user name and password to access the server.

Install Terminal Services software on the client computer

Client computers can access the Small Business Server computer by using Windows 2000 Terminal Services.

To install the Windows 2000 Terminal Services Client software, you can connect to the Terminal Service Clients shared folder and then run the appropriate setup application or create installation floppy disks from the Terminal Services Client Creator on the Small Business Server computer. You can use the installation floppy disks to install Terminal Services on any client computer running Windows.

To install Terminal Services Client software from the Terminal Service Clients shared folder

  1. From the client computer, click Start, click Run, and then type one of the following network paths:
    • For Terminal Services on a 16-bit client computer running Windows:
      \\servername\tsclient\net\win16\setup.exe

      where servername is the name of your Small Business Server computer.

    • For Terminal Services on a 32-bit client computer running Windows:
      \\servername\tsclient\net\win32\setup.exe

      where servername is the name of your Small Business Server computer.

  2. Follow the on-screen instructions to install Terminal Services Client software.

To create installation disks for Terminal Services Client software

  1. From the Small Business Server computer, click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Client Creator.
  2. In the Network Client or Service pane, select one of the following entries:
    • Terminal Services for 16-bit Windows. Select this option to install Terminal Services Client on a client computer running Windows 3.1. This option requires four floppy disks.
    • Terminal Services for 32-bit x 86 Windows. Select this option to install Terminal Services Client on a client computer running Windows 95, Windows 98, Windows ME, Windows NT, or Windows 2000. This option requires two floppy disks.
  3. In the Destination Drive list, select the drive letter of your server's floppy disk drive, and then select the Format disk(s) check box if you need to format the floppy disks.
  4. Click OK to create the installation floppy disks.

To install Terminal Services Client software on the client computer from the installation disks

  1. Place the Terminal Services Client software installation disk 1 in the floppy disk drive of the client computer.
  2. Run the SETUP application on disk 1.
  3. Follow the on-screen instructions to install the Terminal Services Client software.

Run Terminal Services Client software from a computer connected to the network

After the remote computer has the necessary Terminal Services Client software, you can connect to the Small Business Server computer at any time.

Note The remote computer must have a network connection to the Small Business Server computer for a Terminal Services connection to be established. This may require the remote computer to first make an RRAS connection to the Small Business Server computer.

To run the Terminal Services Client software

  1. Click Start, point to Programs, point to Terminal Services Client, and then click Terminal Services Client.
  2. Configure the Terminal Services window:
    • Server. Select or type the server name to which you want to connect.
    • Screen Area. Select a screen resolution for your Terminal Services window.
  3. Click Connect to establish the Terminal Services connection to the Small Business Server computer.
  4. The user must enter a valid user name and password to access the server.


Configure Users' Terminal Services Startup with the Add User Wizard

The Add User Wizard can automatically configure user accounts to start in one of the Small Business Server management consoles when they log on to the server through Windows 2000 Terminal Services. Small Business Server Setup copies the management console to the server in the All Users Application Data folder. Users with local logon rights to the server can then access the management console through Terminal Services.

To configure a user's Terminal Services startup from the Add User Wizard

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, and then click the Users query node.
  2. Right-click any user in the Details Pane, and then click Add User.
  3. Follow the on-screen instructions to create a new user. On the User Properties page of the wizard, click Specify individual settings for this user.
  4. Follow the on-screen instructions to define the user template. On the Connection Access page of the wizard, click the Allow logon to Terminal Server check box, and then select one of the three option buttons described below.
    • Start end user console. Starts users in the Small Business Server Personal Console when they log on through Terminal Services. Users can also access this console from the Start menu shortcut that is created by Small Business Server setup.

      Note By default, users created from the Small Business Template Power User start Terminal Services in the end user console.

    • Start full desktop. Starts users with a full Windows desktop when they log on through Terminal Services. Users can access either the Small Business Server Administrator Console or the Small Business Server Personal Console from the Start menu shortcuts that are created by Small Business Server setup.

      Note By default, users created from the Small Business Template Administrator start Terminal Services in the full desktop.

    • Start the following program at login. Starts a specific program when the user logs on to Terminal Services.
  5. Follow the on-screen instructions to complete the Add User Wizard.

Related Topics

Save and Distribute Custom Console Files


Add a User

With the Add User Wizard, you can create a user account that has access to Small Business Server. The features of the Add User Wizard depend on the console from which you access it.

If you access the Add User Wizard from the Small Business Server Personal Console, you can only add the user from an existing user template.

If you access the Add User Wizard from the Small Business Server Administrator Console, you can change all user properties, regardless of whether you are using a template.

To add a new user

  1. Start the Add User Wizard
    From the Small Business Server Personal Console, click Users from the Favorites list, and then click Add User from the Details Pane.
  2. Follow the on-screen instructions to complete the wizard.

Related Topics

Adding Users from Templates


Review or Change User Information

You may need to change an employee's personal information, add a user to a distribution list, or change a group to which a user belongs. You can perform these steps by using either of the preconfigured Small Business Server management consoles.

To change user account information

The way in which you change user account information depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user in the Details Pane, and then click Properties.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user in the Details Pane, and then click Change User Properties.
  2. In the User Properties dialog box, follow the on-screen instructions to review or change user account information as needed.


Reset User Passwords

You can reset user passwords by using either of the preconfigured Small Business Server management consoles.

To change a user network password

The way in which you start the Reset Password Wizard depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user in the Details Pane, and then click Reset Password.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user in the Details Pane, and then click Reset Password.
  2. Follow the on-screen instructions to complete the wizard.


Control User Access to the Internet

All Small Business Server accounts are members of the BackOffice Internet Users global security group by default. This security group grants access to external networks such as the Internet. You can quickly and easily control user access to the Internet by adding or removing users from this security group, or you can define your own access policies by using Internet Security and Acceleration (ISA) Server 2000, which is included with Small Business Server. You can also create, change, or remove custom access policies by using ISA Server. For more information about custom access policies, refer to the Internet Security and Acceleration Server 2000 Online Help.

To add or remove a user from the BackOffice Internet Users global security group

  1. From the Small Business Server Administrator Console Tree, expand the BackOffice Manager snap-in, and then click Users.
  2. In the Details Pane, right-click the user to whom you want to grant or deny Internet access, and then click Properties.
  3. Click the Member Of tab, and then perform one of the following steps:
    • To add a user to the BackOffice Internet Users global security group, click Add, click BackOffice Internet Users, click Add, and then click OK to confirm the addition.
    • To remove a user from the BackOffice Internet Users global security group, click BackOffice Internet Users, click Remove, and then click Yes to confirm the removal.
  4. Click OK to save the user account information.

    Note If you add or remove users regularly from the BackOffice Internet Users global security group to control Internet access, you might want to consider creating a new user template that is explicitly denied access to the Internet.


Disable a User Account

Disabled accounts cannot access network resources—whether they are shared folders, network printers, or applications—until the accounts are reactivated. You can disable and reactivate user accounts from either of the preconfigured Small Business Server management consoles.

To disable a user account

The way in which you disable user accounts depends on the Small Business Server management console you use.

Perform one of the following steps:

  • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user in the Details Pane, and then click Disable Account.
  • From the Small Business Server Personal Console, click the Users Favorites link, select a user in the Details Pane, click Change Users Properties, click the Account tab, select the Account is disabled check box in the Account Options pane, and then click OK.

To reactivate a user account

The way in which you reactivate user accounts depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user in the Details Pane, and then click Properties.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user in the Details Pane, and then click Change Users Properties.
  2. Click the Account tab, clear the Disable Account check box in the Account Options pane, and then click OK.

Related Topics

Disabling User Accounts


Delete a User Account

You can permanently delete a user account from the Small Business Server Administrator Console.

Deleted user accounts are removed from Active Directory and cannot be recovered. Unless you are certain that you do not need the user account and the information it contains, you should disable rather than delete a user account. Disabled accounts can be reactivated and used as templates for new users.

Note You cannot delete a user account from the Small Business Server Personal Console.

To delete a user account

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, and then click Users.
  2. In the Details Pane, right-click a user name from the list, and then click Delete.
  3. In the Delete User dialog box, click Yes to remove the user account.

Important This procedure does not remove a user's client computer from Small Business Server. Although the user no longer has access rights, the computer is still recognized by the server. To completely remove a client computer from a Small Business Server network, you can rename the computer or install a new operating system with a new computer name and then physically remove the network connection from the client computer.

Related topics

Disabling User Accounts


Add a User Template to the Add User Wizard

You can add user templates to the Add User Wizard by changing the BackOffice Templates Users security group. You can also add a user to the list of user templates from the Add User Wizard.

Note You cannot add user templates from the Add User Wizard when you start the wizard from the Small Business Server Personal Console.

To add a user account to BackOffice Template Users manually

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, and then click Security Groups.
  2. In the Details Pane, right-click the BackOffice Template Users group, and then click Properties.
  3. Click the Members tab, and then click Add.
  4. From the Select Users, Contacts, or Computers dialog box, click a user account, and then click Add. Repeat this step for any additional users that you want to add to BackOffice Template Users.
  5. Click OK to close the Select Users, Contacts, or Computers dialog box.
  6. Click OK to close BackOffice Template Users Properties.

To use the Add User Wizard to add a user template

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, and then click Users.
  2. In the Details Pane, right-click any user, and then click Add User.
  3. Follow the on-screen instructions to create a new user. On the User Properties page of the wizard, click Specify individual settings for this user, and then select the Use these settings to create a new template check box.
  4. Follow the on-screen instructions to define the user template.
  5. Your new user template will be available the next time you run the Add User Wizard.

Related Topics

Adding Users from Templates


Add or Remove Distribution Group Members

You can add or remove users or security groups from a distribution group from either the Small Business Server Administrator Console or the Small Business Server Personal Console.

To add members to a distribution group

The way in which you access distribution group properties depends on the Small Business Server management console that you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager node, and then click Distribution Groups. In the Details Pane, right-click the distribution group that you want to change, and then click Properties.
    • From the Small Business Server Personal Console Favorites list, click E-mail. In the Details Pane, click Change Group Properties.
  2. Click the Members tab, and then click Add. In the list that appears, select a user or security group, and then click Add. Repeat this step for any additional user or security group that you want to add.
  3. Click OK to finish adding users and security groups.
  4. Click OK to close the Properties dialog box.

To remove members from a distribution group

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager node, and then click Distribution Groups. In the Details Pane, right-click the distribution group that you want to change, and then click Properties.
    • From the Small Business Server Personal Console Favorites list, click E-mail. In the Details Pane, click Change Group Properties.
  2. Click the Members tab. In the list that appears, select a user or a security group, click Remove, and then click Yes to confirm removal. Repeat this step for any additional user or security group that you want to remove.
  3. Click OK to close the Properties dialog box.


Delete a Distribution Group

You can only delete distribution groups from the Small Business Server Administrator Console or a custom management console with similar administrative functions.

To delete a distribution group

  1. Expand the BackOffice Manager node, and then click Distribution Groups.
  2. In the Details Pane, right-click the distribution group that you want to delete, and then click Delete.

Caution You cannot recover a distribution group after you have deleted it.


Add a Printer

After connecting a printer to your server, you must configure Small Business Server to recognize the new printer.

To add a printer to Small Business Server

  1. Turn on the printer.
  2. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Printers, right-click the printer name in the Details Pane, and then click Add Printer.
    • From the Small Business Server Personal Console, under Favorites, click Printers, and then click Add Printer.
  3. Follow the on-screen instructions to complete the wizard.


Review or Change Printer Properties

You can configure your shared printers to add separator pages, disable print notification, adjust print resolutions, and set paper sources.

To configure printer properties

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Right-click the printer that you want to configure, and then click Properties.
  3. Click the tab that contains the property that you want to set, and then follow the on-screen instructions to change that property.
  4. After you finish configuring the printer properties, click OK to save your changes.


View or Manage Print Jobs

You can view the server’s current print jobs, and you can pause, resume, or cancel jobs in the print queue.

To manage print jobs

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Printers, right-click the printer name in the Details Pane, and then click Manage.
    • From the Small Business Server Personal Console, start the Manage Print Jobs Wizard
      From the Small Business Server Personal Console, click Printers from the Favorites list, select the printer to manage from the Details Pane, and then click Manage Print Jobs from the Details Pane.
  2. Follow the on-screen instructions to complete the wizard.

Important You cannot launch the Manage Print Jobs Wizard unless you have print jobs in the print queue.

Related Topics

Delete a Print Job


Delete a Print Job

As an administrator or member of the Print Operators group, you can delete any pending print job on your shared printers by using either the Small Business Server Administrator Console or the Small Business Server Personal Console. Users can delete only their own print jobs unless they have been explicitly granted printer management rights.

To delete a print job from a Small Business Server management console

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Printers, right-click the printer name in the Details Pane, and then click Manage.
    • From the Small Business Server Personal Console, under Favorites, click Printers, select the printer to manage from the Details Pane, and then click Manage Print Jobs.
  2. Follow the on-screen instructions to complete the wizard.

To delete a print job from the Microsoft Windows 2000 print queue

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Double-click the printer from which you want to delete print jobs.
  3. Select a document or documents that you want to delete from the printer queue.
  4. Click Document, and then click Cancel to delete the print jobs.

Note You cannot delete a print job that is at the top of the print queue or is in the process of printing.

Related Topics

View or Manage Print Jobs


Managing Client Computers

Microsoft® Small Business Server 2000 enables you to set up, configure, and manage the client computers connected to your network. By using the Set Up Computer Wizard, you can add computers to your network and install client applications.

Adding Client Computers

You must add and configure client computers to your network before users can access Small Business Server resources. Small Business Server supports a variety of Microsoft Windows® 2000 Server client operating systems, including Microsoft Windows NT® version 4.0, Windows 95, Windows 98, Windows Me, and Windows 2000. With Small Business Server, you can also support file and print sharing on other client operating systems, such as UNIX®, Linux, and Macintosh®, by installing the proper client service software on the server computer.

Much of the client computer setup process can be automated by using the Set Up Computer Wizard and a Networking Setup Disk. Before adding client computers, it may be helpful to create a network plan that lists client computer names, the applications you want to install, and the user accounts to add to each client.

Figure 1 Adding client computers to Small Business Server

Installing Client Applications

You can use the Set Up Computer Wizard to install client applications on new or existing client computers on your network. This wizard is useful for adding applications that were skipped during the original client setup or for replacing applications that were accidentally removed from a client computer.

Figure 2 Installing applications on client computers from Small Business Server

Related Topics

Managing Remote Connections


Managing Remote Connections

Microsoft® Routing and Remote Access Service (RRAS) enables home and mobile users to work as if they were connected directly to the network. They can send and receive e-mail messages, fax documents, print files, and gain access to shared folders just as they would in the office.

Figure 1 Dial-Up Networking environment

Configuring Routing and Remote Access Service

RRAS is a networking service that manages remote users who connect to Microsoft Small Business Server 2000 by using a modem or other network connection. RRAS verifies a user's logon information and maintains the remote connection until it is terminated by the user, by network policy settings (such as timeout for idle connections), or by a network administrator.

By default, RRAS is not configured on Small Business Server during setup because it can be configured for two different network scenarios: a virtual private network (VPN) or a dial-up network. Before installing RRAS, you must determine which networking scenario that you plan to support.

Configure RRAS

Granting or Revoking Remote Access

Users must have remote access privileges to connect to your server remotely. By default, all Small Business Server user accounts have their remote access privileges disabled. However, an administrator can grant or revoke remote access privileges for an individual user by editing the user's logon preferences. The administrator can also specify how long the user can connect to the server remotely.

Grant or Revoke Remote Access Permissions for a User

Related Topics

Best Practices


Best Practices

You can get the most out of Small Business Server by following these best practices for remote access.

Using a Virtual Private Network

You can set up a virtual private network (VPN) by using a dedicated network connection. The VPN provides continuous network access for remote users and administrators.

Using a Virtual Private Network

Using a Dial-up Network

You can create a dial-up network by configuring a dedicated modem or modems on the server.

Using a Dial-up Network

Related Topics

Configure RRAS


Using a Virtual Private Network

A virtual private network (VPN) is a useful way for users to obtain a remote access connection to Small Business Server through the Internet. A VPN is the extension of a private network across shared or public networks. A good example is the Internet. A VPN allows you to send data between two computers across a shared or public network in a manner that emulates the properties of a point-to-point private link.

To emulate a point-to-point link, data is encapsulated, or wrapped, with a header that provides routing information. This header lets data traverse shared or public networks and be routed to its endpoint. To emulate a private link, the data is encrypted for confidentiality. Packets that are intercepted on the shared or public network are indecipherable without the encryption keys.

From a remote user's perspective, the VPN is a point-to-point connection between the computer, the VPN client, and the organization server—the VPN server. The exact infrastructure of the shared or public network is irrelevant because it appears logically as if the data is sent over a dedicated private link.

To set up a VPN, you must configure a VPN server, which can be Small Business Server or another Microsoft Windows 2000 Server running Routing and Remote Access Service (RRAS), and a VPN client, which can be any computer running Windows 95 or later with a TCP/IP network connection.

Using Small Business Server as a VPN Server

To use Small Business Server as a VPN server you must have a full-time network connection to the VPN. You can establish a dedicated link with an existing network adapter card or install a new network adapter card. In either case, the dedicated link must have a connection to a public network, such as the Internet. You must configure this network connection by using one of the two wizards described below.

If you are using the Internet Security and Acceleration (ISA) Server 2000 as a firewall between your internal network and the VPN, you should use the ISA VPN Wizard to configure your VPN. Using the ISA VPN Wizard ensures that your normal network traffic, as well as the VPN traffic, can pass through the firewall. If you are not using a firewall, you can use the Routing and Remote Access Server Setup Wizard to configure your server as a VPN server.

Using Another Windows 2000 Server as a VPN Server

If your network includes another Windows 2000 Server, you can configure it as the VPN server. The VPN server must be configured as a member server of Small Business Server to provide remote Small Business Server access. In addition, you must configure RRAS on Small Business Server to point to, and use, the VPN server. The external VPN server must still have the full-time network connection, as described earlier.

Related Topics

Configure RRAS


Using a Dial-up Network

Dial-up networks use modems to connect remote users to Small Business Server. At a minimum, a dial-up network must have one modem on the client computer and one modem on the server computer that is configured for RRAS use. However, for most purposes it is recommended that you install and use multiple modems on the Small Business Server network. The following sections describe various Dial-Up Networking (DUN) environments, based on the number of modems available to Small Business Server.

Single Modem Servers

Small Business Server with a single modem installed can host DUN, but this configuration can cause problems. One problem is that a single modem can make only one connection at a time. For example, if the modem is hosting a remote connection, it cannot simultaneously host other remote users or dial out to make connections to the Internet. Likewise, any time the modem is in use for faxing or connecting to the Internet, it cannot host any remote connection. This environment is the least preferable DUN environment for Small Business Server.

Dual Modem Servers

Small Business Server with two modems offers much more flexibility than the single-modem environment. With two available modems, one Small Business Server user has the option of making an outgoing connection at the same time that another user is making an incoming connection. Likewise, if both modems are free and have been configured for use by RRAS, two lines are available for remote access. This environment is the minimum recommended DUN environment for Small Business Server.

Multiple Modem or Modem Pool Servers

Any business with a high demand for Internet access or remote connections should consider installing either a minimum of three modems or a dedicated modem pool. With an array of modems to use, you can configure one modem as a dedicated fax modem, another modem as a host for Internet connections, and any additional modems or modem pools as hosts for remote connections. If you install multiple modems on your server, you may want to use Modem Sharing Service to distribute client modem requests to an available modem. Modem Sharing Service can support up to four modems. This environment is the preferred DUN environment for Small Business Server.

Related Topics

Configure RRAS

Managing Shared Modems


Configure RRAS

You can configure Microsoft Routing and Remote Access Service (RRAS) before or after the installation of necessary hardware (modems or network cards) for remote access. In either case, you must determine which network scenario—either a dial-up network or a VPN—you want to use to support remote access.

If you use a VPN configuration with a firewall, you must configure the VPN server by using the appropriate VPN wizard. If you use Internet Security and Acceleration (ISA) Server 2000 as your firewall, configure your VPN server with the ISA VPN Wizard. If you use RRAS as your VPN server, use the RRAS VPN wizard to configure your firewall.

To configure RRAS on Small Business Server

  1. Open Routing and Remote Access
    Click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  2. By default, the Small Business Server computer is listed as the server. If you want to use another server for RRAS, use the following procedures.
    1. Click Action, and then click Add Server.
    2. Click All Routing and Remote Access Computers, and then type the domain name of the server that you want to use.
    3. Click OK to add the new server to the Console Tree.
  3. In the Console Tree, select the server that you want to enable, click Action, and then click Configure and Enable Routing and Remote Access to start the Routing and Remote Access Server Setup Wizard.
  4. Follow the on-screen instructions to complete the wizard.

Important If you have two network adapter cards installed on Small Business Server as part of your network scenario, you must be certain that both network adapter cards are connected before configuring RRAS. If only one network adapter card is connected, the unconnected card is configured to use an improper range of IP addresses (169.254.x.x), which prevents remote access.

To configure a VPN on Small Business Server by using ISA Server

  1. From the Small Business Server Administrator Console, expand the Microsoft Internet Security and Acceleration Server snap-in, expand the node that lists your Small Business Server computer name, and then click the Network Configuration node to display the Configure Network Connection taskpad.
  2. Click Configure VPN (Local) to start the ISA VPN Wizard.
  3. Follow the on-screen instructions to complete the wizard.

Related Topics

Best Practices


Grant or Revoke Remote Access Permission for a User

User accounts cannot access Small Business Server remotely until you grant them remote access privileges. You can grant a user account remote access permission when creating the user from the Add User Wizard or from the BackOffice Manager snap-in that is available from the Small Business Server Administrator Console.

Important You must also configure your server to accept remote access connections from the users and groups that you grant permission.

To grant or revoke remote access permission for a user

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager node, and then click the Users query.
  2. In the Details Pane, right-click the user account name for which you want to grant or revoke permission, and then click Properties.
  3. Click the Dial-in tab.
  4. In the Remote Access Permission (Dial-in or VPN) pane, click either Allow Access or Deny Access.
  5. Click OK to add or revoke remote access permission.

Related Topics

Configure RRAS

Give Users Access to Terminal Services


Share a Folder

You can share your existing folders or create new shared folders on your server.

To share a folder

  1. Start the Add Shared Folder Wizard
    From the Small Business Server Personal Console, click Shared Folders from the Favorites list, and then click Add Folder from the Details Pane.
  2. Follow the on-screen instructions to complete the wizard.


Control User Access to a Shared Folder

Small Business Server enables you to define which users and groups have permission to gain access to or change shared folders and their contents.

To set security for a folder

  1. Click the Shared Folders Taskpad
    From the Small Business Server Personal Console, click Shared Folders from the Favorites list.
  2. In the list that appears, select a shared folder, and then click Change Folder Properties.
  3. Click the Security tab.
  4. Select users or groups to grant or deny them permissions to this folder.
  5. Select the Allow or Deny check boxes to set the Full Control, Modify, Read & Execute, List Folder Contents, Read, and Write permissions that you want for the selected users or groups.

Related Topics

Applying Windows 2000 Group Policies


Configure Server Status Reports

You can configure Small Business Server to automatically create and send Server Status Reports to administrators by e-mail and/or by fax. You can customize Server Status Reports to include information about hardware condition, application health, and system performance. You can also attach log files to the reports that are sent by e-mail to help administrators troubleshoot system problems. When kept on file, Server Status Reports provide valuable historical information about server usage that you can use to plan for upgrades and required maintenance.

To configure Small Business Server to automatically create and send Server Status Reports

  1. Open the Small Business Server Administrator Console
    If the Server Status View does not appear by default, click the BackOffice Home node in the Console Tree.
  2. Right-click on the Server Status View, and then click Configure Report. The Server Status Report Configuration page appears.
  3. Click the Report Options tab.
  4. Select the types of data that you want to include on the Server Status Report. To receive reports in XML format, select Attach above data in XML format.
  5. Under Application log files, select the log files that you want to attach to the Server Status Report.
  6. To attach a log file that does not appear in the list, click Add, specify the information and path of the log file to be attached, and then click Add again.
  7. Click the Send Options tab. Specify if you want to send the Server Status Report to an e-mail address or fax number.

    Note

    • Before you can send a report by fax, you must install Shared Fax Service or its client software on the computer. In addition, a fax modem that is compatible with Microsoft Windows 2000 must be connected to the computer on which the fax server application is installed. Refer to the Windows 2000 Hardware Compatibility List.
    • Log files cannot be transmitted by fax.
  8. Click the Task tab.
  9. (Optional) You can type a comment that describes the report that will be created. In the Run as box, you can specify a user account and password.
  10. Click the Schedule tab.
  11. Select a task from the list, or click New to schedule a new task.
  12. Specify when you want the Server Status Report to run. To schedule a start or end date for running the report, or to schedule the report to run at repeated intervals, click Advanced. The Advanced Schedule Options page appears.
  13. Specify advanced scheduling options, and then click OK.
  14. Click OK to save your settings and close the Server Status Report Configuration page.

Before you can send a report by e-mail, you must first configure SMTP service on the computer that you are monitoring.

To configure SMTP service on a computer without Microsoft Exchange Server installed

  1. Configure TCP/IP properties. To do so, click Start, point to Settings, and then click Network and Dial-up Connections.
  2. Right-click the preferred LAN connection, and then click Properties.
  3. Select Internet Protocol TCP/IP. If Internet Protocol TCP/IP does not appear in the Components list, click Install, select Protocol, and then click Add.
  4. Click OK on each open properties page to save your changes.
  5. Restart the computer when prompted to do so.
  6. Configure SMTP properties. To do so, click Start, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  7. In the Console Tree, expand the node for the server, and then right-click Default SMTP Virtual Server.
  8. Specify the default SMTP virtual server settings, and then click OK to save your changes.

    Note If necessary, consult your ISP for assistance in configuring these settings.

To configure SMTP service on a computer with Exchange Server installed

  • Use the Small Business Server Internet Connection Wizard to configure SMTP services.

Related Topics

Send Server Status Report Immediately


Customize Server Status View

You can customize the Server Status View to display only the performance counters or services that you want to appear.

Note Services that are configured to start automatically by default appear in the Server Status View when they are not in use. You can monitor additional services by selecting them on the Server Status View Configuration Properties page.

To customize the Server Status View

  1. Open the Small Business Server Administrator Console
    If the Server Status View does not appear by default, click the BackOffice Home node in the Console Tree.
  2. Right-click on the Server Status View, and then click Configure View. The Server Status View Configuration Properties page appears.
  3. Click the tab for the server that you want to manage.
  4. Select the check boxes for performance counters that you want to appear in the Server Status View. Clear the check boxes for performance counters that you do not want to appear.
  5. Select the check boxes for services that you want to appear in the Server Status View. Clear the check boxes for services that you do not want to appear.
  6. If you want to periodically refresh the Server Status View, click the Global Settings tab, select Automatically refresh, and then specify a refresh interval.
  7. Click OK to save your settings, and then close the Server Status View Configuration Properties page.

Related Topics

Send Server Status Report Immediately


Send Server Status Report Immediately

Sometimes you might want to create and send a current Server Status Report immediately.

To create and send a current Server Status Report immediately

  1. Open the Small Business Server Administrator Console
    If the Server Status View does not appear by default, click the BackOffice Home node in the Console Tree.
  2. Right-click on the Server Status View, and then click Configure Report. The Server Status Report Configuration page appears.
  3. Click the Report Options tab.
  4. Select the types of data to include on the Server Status Report. To receive reports in XML format, select Attach above data in XML format.
  5. Under Application log files, select the log files that you want to attach to the Server Status Report.
  6. To attach a log file that does not appear in the list, click Add, specify the information and path of the log file to be attached, and then click Add again.
  7. Click the Send Options tab.
  8. Specify if you want to send the Server Status Report to an e-mail address or to a fax number.

    Notes

    • Before you can send a report by fax, you must install the Shared Fax Service or its client software on the computer. In addition, a fax modem that is compatible with Microsoft Windows 2000 must be connected to the computer where the fax application is installed. Refer to the Windows 2000 Hardware Compatibility List.
    • Log files cannot be transmitted by fax.
  9. Click Send Now.

Related Topics

Configure Server Status Reports


Management Consoles

Microsoft® Small Business Server 2000 enables an administrator to manage the server completely from Microsoft Management Console (MMC) version 1.2. By using a management console that is configured for Small Business Server, administrators can view and configure any server application from any computer that is connected to the network.

Small Business Server Management Consoles

Small Business Server management consoles are preconfigured with all the snap-ins, taskpads, and tasks that are necessary to manage your Small Business Server network. You can use the preconfigured consoles as they are, customize them according to your requirements, or create your own custom consoles.

You can start users in one of the preconfigured Small Business Server management consoles or in a customized management console when they log on through Microsoft Windows® 2000 Terminal Services. To grant users access to your management consoles, you must grant Terminal Services privileges to users and configure the Small Business Server computer to accept Terminal Services connections.

Small Business Server includes the following preconfigured management consoles:

  • Small Business Server Administrator Console
  • Small Business Server Personal Console

Small Business Server Snap-ins

Each Small Business Server snap-in is designed to manage a particular server application or network resource. You can add or remove Small Business Server snap-ins from your management consoles as you add or remove resources from your Small Business Server network.

After installation, you can use the preconfigured snap-ins as they are or customize them to your requirements. You can change how snap-ins query particular Active Directory™ directory service objects or change the display to use particular taskpads and tasks. You can also add or remove snap-ins from the management consoles that you distribute to others to control which management tasks are available to individual users.

Small Business Server includes the following preconfigured snap-ins:

  • BackOffice Home snap-in
  • BackOffice Manager snap-in
  • Windows 2000 Active Directory Users & Computers snap-in
  • Windows 2000 Computer Management snap-in
  • Exchange 2000 Server snap-in
  • Internet Security and Acceleration Server 2000 snap-in
  • Microsoft Shared Fax snap-in
  • Health Monitor snap-in
  • Windows 2000 Terminal Services snap-in
  • Internet Information Services snap-in
  • BackOffice To Do List snap-in

Small Business Server Scripts and Wizards

All preconfigured Small Business Server management consoles provide links to scripts and wizards to assist users with common management tasks.

You can use the Small Business Server scripts and wizards to perform the following tasks:

  • Add client computers to the Small Business Server network
  • Add security groups
  • Add software to client computers
  • Add user accounts
  • Change your Internet service provider (ISP) password
  • Configure network printers
  • Configure Server Status Reports
  • Create distribution groups
  • Create shared folders
  • Manage faxes
  • Set up an Internet connection
  • Synchronize e-mail with your ISP

Related Topics

Best Practices

New Ways to Do Familiar Tasks


Server Management Roles

During setup, your Small Business Server computer is promoted to a domain controller. As the domain controller, Small Business Server maintains the master copy of the Active Directory database and manages domain member users and computers through password authentication, Group Policies, and connection restrictions.

Small Business Server cannot be part of another domain. In addition, Small Business Server applications cannot be distributed across multiple servers. If you need multiple server functionality, you must upgrade to BackOffice Server 2000.

Small Business Server is limited to a maximum of 50 client computer licenses. You must purchase the appropriate number of client licenses to connect your client computers to your server.

Note You can promote a member server to a domain controller during Small Business Server Setup or by using the DCPROMO application in Windows 2000.

Related Topics

Managing Client Computers


New Ways to Do Familiar Tasks

Small Business Server includes several new features that provide easier ways to carry out familiar Small Business Server tasks.

Using Management Consoles

Small Business Server uses Microsoft Management Console (MMC) to accomplish the network management tasks that were on the Small Business Server 4.5 Web-based interface. Small Business Server has two preconfigured management consoles: Small Business Server Administrator Console and Small Business Server Personal Console.

The Small Business Server Administrator Console is intended for the advanced network administrator. This console includes all the snap-ins and predefined queries that you need to manage Active Directory objects on your network. In addition, all the standard MMC console views and toolbars are enabled.

The Small Business Server Personal Console is intended for a first-time administrator or power user on your network. This console contains links to the most common network tasks and uses taskpads to guide administrators through their work. Most of the standard MMC console views and toolbars are disabled in this console.

You can use either of these consoles as a template to create management consoles of your own.

Using Taskpads

Small Business Server arranges the Details Pane of a management console into a task-friendly layout known as a taskpad view. The taskpad view is similar to the Small Business Server 4.5 Web-based interface in that it uses icons and hyperlinks to launch common tasks. Taskpads improve upon the Web-based interface by enabling administrators to customize icons, tasks, and commands to fit their individual needs.

Using Security Groups

You can define access to network resources by assigning users to one or more of the predefined Small Business Server security groups. Each user's security group membership can now follow him or her throughout Active Directory and determine the resources that are available to the user from any machine on the network.

Using User Templates

Small Business Server enables you to use any existing user's settings as a template to create new users. Using a template enables you to quickly configure a user's security group membership, distribution lists membership, company or personal information, and e-mail and Internet connection settings. You can define or apply a user template from the Add User Wizard.

Using Terminal Services for Remote Administration

Remote administrators and power users can now access Small Business Server through a Terminal Services client. The graphical user interface that appears when using Terminal Services is the same graphical user interface that appears when logging on to the server directly.

Using the BackOffice Home Snap-in

Server health and status can be monitored with the BackOffice Home snap-in. Administrators can use the BackOffice Home snap-in to configure reports and schedule regular status updates to be sent by e-mail. The BackOffice Home snap-in also provides helpful links to the Small Business Server Web site and Online Help.

Related Topics

Best Practices

Small Business Server Snap-ins


Best Practices

You can get the most out of Small Business Server by following these best practices of management technique.

Using Templates to Add Users

Small Business Server enables you use any existing user's settings as a template to create new users.

Using Templates to Add Users

Changing Existing Consoles to Create New Consoles

You can quickly create your own management consoles by changing the snap-ins and tasks that are included in the preconfigured Small Business Server consoles.

Changing Existing Consoles to Create New Consoles

Using Security Groups to Control Access to Resources

When created, all users are assigned to security groups. Using security groups to manage access to system resources increases your network security.

Using Security Groups to Control Access to Resources

Designing Consoles

Learn some of the conceptual details of and best practices for making your management consoles.

Customizing Management Consoles

Related Topics

New Ways to Do Familiar Tasks


Changing Existing Consoles to Create New Consoles

Small Business Server contains two management consoles (Small Business Server Administrator Console and Small Business Server Personal Console) that you can change to create your own consoles. Making changes to an existing console is the fastest and easiest method to create a new management console. By starting with an existing console, and then adding and removing snap-ins, taskpads, and tasks, you can create functional consoles with minimal effort.

To change an existing console, you must open it in author mode. After you have created a new console, you can save it and then distribute it to users by placing a copy in their Application Data folder.

Related Topics

Customizing Management Consoles


Using Security Groups to Control Access to Resources

Small Business Server controls access to network resources by using Microsoft Windows 2000 security groups. By default, Small Business Server uses global security groups to control access rights to all network resources, such as server applications and shares. To give a Small Business Server user access to any particular network resource, the administrator adds the user to the global security group that controls the particular network resource.

To follow the Small Business Server security group scheme, an administrator creates a Windows 2000 global security group for each network resource and only adds users to the global groups that control the appropriate network resources. Administrators can also use or customize the preconfigured Small Business Server user templates to create users with predefined group memberships.

Example of using security groups to control resources

Suppose the fictional company A Datum Corporation has the following users and resources to manage:

Table 1

Users | Network resources
Alpha Beta Delta Gamma | Fax Network Printer: PRNT001 Shared Folder: Payroll Shared Folder: Product Information

First, the administrator uses the Add Security Group Wizard to create global security groups for each network resource listed in Table 1. Next, the administrator configures each network resource for use by only the global security group created for it. For example, the administrator can use the Add Shared Folder Wizard to grant members of the Payroll Users security group exclusive access to the Payroll shared folder.

Table 2

Global security groups | Network resources
Fax Users | Fax
Printer Users | Network Printer: PRNT001
Payroll Users | Shared Folder: Payroll
Product Users | Shared Folder: Product Information

Next, the administrator uses the Add User to Group task to assign the users listed in Table 1 to their appropriate global security groups listed in Table 2. The final result is listed in Table 3 below.

Table 3

Global security groups | Assigned users
Fax Users | Alpha and Beta
Printer Users | Alpha, Beta, Delta, and Gamma
Payroll Users | Delta and Gamma
Product Users | Alpha and Beta

Related Topics

Add a Security Group

Add a User to a Security Group

Share a Folder

Control User Access to a Shared Folder


How To

Small Business Server uses Microsoft Management Console (MMC) to administer and manage network resources. Use the following information to design, create, and change management consoles.

Managing Snap-ins

Learn how to add and remove stand-alone snap-ins and their extensions.

Add a Stand-Alone Snap-in to a Console

Add an Extension to a Snap-in

Remove a Snap-in from a Console

Remove an Extension from a Snap-in

Managing Taskpads

Learn how to create, change, and remove taskpad views.

Create a Taskpad

Delete a Taskpad

Add a Task to a Taskpad

Delete a Task from a Taskpad

Customizing the BackOffice Manager Snap-in

Learn how to customize the BackOffice Manager snap-in by adding queries, Active Directory objects, and context menus.

Add a Query Node to the BackOffice Manager Snap-in

Add an Aggregator Node to the BackOffice Manager Snap-in

Add an Active Directory Object to the BackOffice Manager Snap-in

Customize Query List Views

Define the Context Menu for BackOffice Manager Queries

Customizing Console Views

Learn how to display or hide management console elements and set the console mode.

Customize the Console View

Set a Console to User or Author Mode

Add an Item to the Console Favorites Menu

Saving and Distributing Console Files

Learn how to save and distribute your custom console files.

Save and Distribute Custom Console Files

Give Users Access to Terminal Services

Configure Users' Terminal Services Start Up with the Add User Wizard

Viewing Server Health and Status

Learn how to display the health and status of your server.

View Server Status

Adding Security Groups

Learn how to add new security groups to manage your network resources.

Add a Security Group

Related Topics

Best Practices

New Ways to Do Familiar Tasks


Customizing Management Consoles

Small Business Server uses Microsoft Management Console (MMC) to give administrators a single interface from which to manage hardware, software, and network objects. Small Business Server has two preconfigured management consoles that are sufficient for most administrative needs:

  • Small Business Server Administrator Console (ITProSBSConsole.msc)
  • Small Business Server Personal Console (MySBSConsole.msc)

You can also change these consoles to create your own management consoles, which users can access when they log on to the server through Microsoft Windows 2000 Terminal Services.

Designing Consoles

Before you create a new console, identify the tasks that the console will perform, the components it will administer, the snap-ins and controls that it will use to perform the tasks, and the level of access you will grant to the person who will use the console. After you have a console design, you can open an existing console and add or remove snap-ins and tasks as necessary. To create or edit a console you must open the console in author mode.

Adding or Removing Snap-ins

The first step in creating a custom console is adding or removing the required snap-ins from the Console Tree.

You can create a new console with a specific snap-in as the top node of the Console Tree (known as the Console Root) by right-clicking the desired snap-in and selecting New Window from Here. You can then add any additional snap-ins from Add/Remove Snap-in on the Console menu.

If you are customizing an existing console, use Add/Remove Snap-in on the Console menu to change the snap-ins in the console. After you have added a snap-in to a console, you can enable or disable any associated snap-in extensions. When you enable an extension, it is automatically placed under the selected snap-in as a node in the Console Tree.

For detailed snap-in customization steps, refer to the following links:

Add a Stand-Alone Snap-in to a Console

Add an Extension to a Snap-in

Remove a Snap-in from a Console

Remove an Extension from a Snap-in

Customize Query List Views

Adding Taskpads

After you have configured the console with all necessary snap-ins and extensions, you can add one or more taskpads.

A taskpad is a task-based view that appears in the Details Pane of a management console when you follow a link or when you select a node in the Console Tree. Taskpads organize tasks into groups that meet the needs of specific types of administrators. They can be used to accomplish a variety of functions, including launching executable files, running scripts, accessing Web pages, and launching other management consoles.

Many preconfigured taskpads are included with Small Business Server. The Favorites tab of either of the pre-configured Small Business Server management consoles contains taskpads for users, security groups, shared folders, printers, e-mail, faxes, and computers. These taskpads are especially helpful for novice users and users who do not need to know about moving through the Console Tree, which can be hidden from view.

You might want to create or change a taskpad for the following reasons:

  • To add commonly used tasks
  • To remove unneeded tasks
  • To group a sequence of related tasks
  • To simplify the list of tasks and options available to particular users

For detailed taskpad customization steps, refer to the following links:

Create a Taskpad

Delete a Taskpad

Add a Task to a Taskpad

Delete a Task from a Taskpad

Customizing the Console View

Not every console administrator needs all the functionality provided by MMC. Before making a console available to users, you can customize the console view to fit the intended administrator. You can customize the following console elements:

  • Console Tree
  • Description bar
  • Status bar
  • Snap-in buttons
  • Snap-in menus
  • Standard buttons
  • Standard menus
  • Details Pane columns
  • Taskpad navigation tabs
  • Favorites entries

Customize the Console View

Add an Item to the Console Favorites Menu

Set Console to User or Author Mode

The console access mode determines whether a console administrator can change the console view, add or remove snap-ins and taskpads, or save console changes. Every console must be saved in one of the access modes described below.

Author Mode

Setting a console to author mode grants an administrator full access to all console functionality, including the ability to add or remove snap-ins and taskpads, define new tasks, and view all portions of the Console Tree.

After author mode is set as the access mode for a console, MMC continues to open that console in author mode until it is saved in a user mode. When one of the user modes is set as the default for a console, you can use either the context-sensitive command Author or the command-line option /a to open the console in author mode.

User Mode

Setting a console to user mode disables authoring features and limits the console views and queries that a user can use to perform administrative tasks.

  • Full access. Displays the entire Console Tree, but prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, multiple window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, single window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins or changing console properties. Also prevents users from creating new windows.

Set a Console to User or Author Mode

Save the Console File

After you have finished configuring a custom console, save the file.

Make the Console File Available Through Terminal Services

After you save a console file, you can configure a user to start in a particular management console whenever they log on to the server through Windows 2000 Terminal Services.

Save and Distribute Custom Console Files

More Information

For more information, refer to "Authoring MMC Consoles" in the Microsoft Management Console Online Help.

Related Topics

Best Practices

New Ways to Do Familiar Tasks


Customizing Management Consoles

Small Business Server uses Microsoft Management Console (MMC) to give administrators a single interface from which to manage hardware, software, and network objects. Small Business Server has two preconfigured management consoles that are sufficient for most administrative needs:

  • Small Business Server Administrator Console (ITProSBSConsole.msc)
  • Small Business Server Personal Console (MySBSConsole.msc)

You can also change these consoles to create your own management consoles, which users can access when they log on to the server through Microsoft Windows 2000 Terminal Services.

Designing Consoles

Before you create a new console, identify the tasks that the console will perform, the components it will administer, the snap-ins and controls that it will use to perform the tasks, and the level of access you will grant to the person who will use the console. After you have a console design, you can open an existing console and add or remove snap-ins and tasks as necessary. To create or edit a console you must open the console in author mode.

Adding or Removing Snap-ins

The first step in creating a custom console is adding or removing the required snap-ins from the Console Tree.

You can create a new console with a specific snap-in as the top node of the Console Tree (known as the Console Root) by right-clicking the desired snap-in and selecting New Window from Here. You can then add any additional snap-ins from Add/Remove Snap-in on the Console menu.

If you are customizing an existing console, use Add/Remove Snap-in on the Console menu to change the snap-ins in the console. After you have added a snap-in to a console, you can enable or disable any associated snap-in extensions. When you enable an extension, it is automatically placed under the selected snap-in as a node in the Console Tree.

For detailed snap-in customization steps, refer to the following links:

Add a Stand-Alone Snap-in to a Console

Add an Extension to a Snap-in

Remove a Snap-in from a Console

Remove an Extension from a Snap-in

Customize Query List Views

Adding Taskpads

After you have configured the console with all necessary snap-ins and extensions, you can add one or more taskpads.

A taskpad is a task-based view that appears in the Details Pane of a management console when you follow a link or when you select a node in the Console Tree. Taskpads organize tasks into groups that meet the needs of specific types of administrators. They can be used to accomplish a variety of functions, including launching executable files, running scripts, accessing Web pages, and launching other management consoles.

Many preconfigured taskpads are included with Small Business Server. The Favorites tab of either of the pre-configured Small Business Server management consoles contains taskpads for users, security groups, shared folders, printers, e-mail, faxes, and computers. These taskpads are especially helpful for novice users and users who do not need to know about moving through the Console Tree, which can be hidden from view.

You might want to create or change a taskpad for the following reasons:

  • To add commonly used tasks
  • To remove unneeded tasks
  • To group a sequence of related tasks
  • To simplify the list of tasks and options available to particular users

For detailed taskpad customization steps, refer to the following links:

Create a Taskpad

Delete a Taskpad

Add a Task to a Taskpad

Delete a Task from a Taskpad

Customizing the Console View

Not every console administrator needs all the functionality provided by MMC. Before making a console available to users, you can customize the console view to fit the intended administrator. You can customize the following console elements:

  • Console Tree
  • Description bar
  • Status bar
  • Snap-in buttons
  • Snap-in menus
  • Standard buttons
  • Standard menus
  • Details Pane columns
  • Taskpad navigation tabs
  • Favorites entries

Customize the Console View

Add an Item to the Console Favorites Menu

Set Console to User or Author Mode

The console access mode determines whether a console administrator can change the console view, add or remove snap-ins and taskpads, or save console changes. Every console must be saved in one of the access modes described below.

Author Mode

Setting a console to author mode grants an administrator full access to all console functionality, including the ability to add or remove snap-ins and taskpads, define new tasks, and view all portions of the Console Tree.

After author mode is set as the access mode for a console, MMC continues to open that console in author mode until it is saved in a user mode. When one of the user modes is set as the default for a console, you can use either the context-sensitive command Author or the command-line option /a to open the console in author mode.

User Mode

Setting a console to user mode disables authoring features and limits the console views and queries that a user can use to perform administrative tasks.

  • Full access. Displays the entire Console Tree, but prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, multiple window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, single window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins or changing console properties. Also prevents users from creating new windows.

Set a Console to User or Author Mode

Save the Console File

After you have finished configuring a custom console, save the file.

Make the Console File Available Through Terminal Services

After you save a console file, you can configure a user to start in a particular management console whenever they log on to the server through Windows 2000 Terminal Services.

Save and Distribute Custom Console Files

More Information

For more information, refer to "Authoring MMC Consoles" in the Microsoft Management Console Online Help.

Related Topics

Best Practices


Applying Windows 2000 Group Policies

If your client computers are running Microsoft Windows 2000, you can set up Small Business Server to use the Group Policy features of Windows 2000. Group Policies enable an administrator to define and customize many Windows settings for a user or client computer, including items that are available on the Windows desktop, logon scripts, available menu items, and security settings. You can define Group Policies that apply to a particular computer, a specific user, a domain, or an organizational unit.

Small Business Server does not require Group Policy, but Group Policies can greatly enhance network security. Before applying Group Policy to Small Business Server, refer to "Checklist: Implementing Group Policy through Active Directory" in Windows 2000 Online Help.

To access the Group Policy snap-in from the Small Business Server Administrator Console

  1. From the Small Business Server Administrator Console Tree, expand the Active Directory Users and Computers node.
  2. Right-click the Active Directory object to which you want to apply Group Policy (for example, your Small Business Server domain), and then click Properties.
  3. Click the Group Policy tab. From the Group Policy Object Links, click Group Policy.

    From this dialog box you can add, remove, or edit Group Policies. For more information or instructions on setting up Group Policies, refer to Windows 2000 Help.

  4. Click Close to apply Group Policy.

Important Group Policies apply only to computers running Windows 2000.

Related Topics

Best Practices


Using Security Groups to Control Access to Resources

Small Business Server controls access to network resources by using Microsoft Windows 2000 security groups. By default, Small Business Server uses global security groups to control access rights to all network resources, such as server applications and shares. To give a Small Business Server user access to any particular network resource, the administrator adds the user to the global security group that controls the particular network resource.

To follow the Small Business Server security group scheme, an administrator creates a Windows 2000 global security group for each network resource and only adds users to the global groups that control the appropriate network resources. Administrators can also use or customize the preconfigured Small Business Server user templates to create users with predefined group memberships.

Example of using security groups to control resources

Suppose the fictional company A Datum Corporation has the following users and resources to manage:

Table 1

Users | Network resources
Alpha Beta Delta Gamma | Fax Network Printer: PRNT001 Shared Folder: Payroll Shared Folder: Product Information

First, the administrator uses the Add Security Group Wizard to create global security groups for each network resource listed in Table 1. Next, the administrator configures each network resource for use by only the global security group created for it. For example, the administrator can use the Add Shared Folder Wizard to grant members of the Payroll Users security group exclusive access to the Payroll shared folder.

Table 2

Global security groups | Network resources
Fax Users | Fax
Printer Users | Network Printer: PRNT001
Payroll Users | Shared Folder: Payroll
Product Users | Shared Folder: Product Information

Next, the administrator uses the Add User to Group task to assign the users listed in Table 1 to their appropriate global security groups listed in Table 2. The final result is listed in Table 3 below.

Table 3

Global security groups | Assigned users
Fax Users | Alpha and Beta
Printer Users | Alpha, Beta, Delta, and Gamma
Payroll Users | Delta and Gamma
Product Users | Alpha and Beta

Related Topics

Add a Security Group

Add a User to a Security Group


Add a Stand-Alone Snap-in to a Console

You can customize Small Business Server by adding stand-alone snap-ins to your existing consoles or by creating new consoles. Small Business Server provides several stand-alone snap-ins that you can add to your consoles.

To add a stand-alone snap-in to a console

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Click Console, and then click Add/Remove Snap-in.
  3. In the Add/Remove Snap-in dialog box, click the Standalone tab.
  4. In the Snap-ins added to list, select the node or Console Root to which you want to add the snap-in, and then click Add.
  5. In the Available Standalone Snap-ins list, select a stand-alone snap-in, and then click Add. Type any additional information that you are prompted to provide. Repeat this step for any additional snap-ins that you want to add.
  6. When you have finished adding snap-ins, click Close to accept your new snap-in or snap-ins.
  7. Click OK to add the new snap-in or snap-ins to the Console Tree.

Related Topics

Small Business Server Snap-ins


Add an Extension to a Snap-in

You can add extensions to some snap-ins to increase or change their functionality.

To add an extension to a snap-in

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. In the Console Tree, click the snap-in that you want to change.
  3. Click Console, and then click Add/Remove Snap-in.
  4. In the Add/Remove Snap-in dialog box, click the Extensions tab.
  5. In the Snap-ins that can be extended list, select the snap-in to which you want to add the extension.
  6. By default, the Add all extensions check box is selected. If you want to add only particular extensions, clear this check box, and then select the check boxes for the extensions you want to add.
  7. Click OK to add the extensions.

Related Topics

Small Business Server Snap-ins


Remove a Snap-in from a Console

You can customize Small Business Server by removing snap-ins from your existing consoles. You may want to remove certain snap-ins to control the items that users can manage.

Note Removing a snap-in from a console removes all the taskpads and tasks associated with that snap-in.

To remove a stand-alone snap-in from a console

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Click Console, and then click Add/Remove Snap-in.
  3. In the Add/Remove Snap-in dialog box, click the Standalone tab.
  4. In the Snap-ins added to list, select the snap-in that you want to remove, and then click Remove. Repeat this step for any additional snap-ins that you want to remove.
  5. Click OK to close the dialog box.

Related Topics

Small Business Server Snap-ins


Customize Query List Views

Each query node that is managed by the BackOffice Manager snap-in returns a list of objects and attributes for list view items. You can customize a query list view to display information that is appropriate for your console administrators.

To customize a query list view

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Select the query node that you want to customize, click Action, and then click Properties.
  3. Click the Columns tab. In the Object Class list, select the object that you want to view.
  4. Under Columns, select the check boxes next to the column headers that you want to display or hide.
  5. Click OK to save changes to the list view.

Related Topics

Small Business Server Snap-ins


View Server Status

You can view information about the health and status of your server from the BackOffice Home snap-in and the Health Monitor snap-in.

The BackOffice Home snap-in provides a general summary of your server's health and status. The BackOffice Home snap-in is available in both the Small Business Server Administrator Console and the Small Business Server Personal Console, and it can also be included in your custom management consoles.

The Health Monitor snap-in provides more detailed information about your server's health and status. You can use the Health Monitor snap-in to configure custom actions for particular server conditions. The Health Monitor snap-in is available in the Small Business Server Administrator Console and can also be included in your custom management consoles.

To view server status from the BackOffice Home snap-in

  1. To open the BackOffice Home snap-in, do one of the following:
    • From the Small Business Server Administrator Console, expand the Console Tree, and then click BackOffice Home.
    • From the Small Business Server Personal Console Favorites, click Home.
  2. The BackOffice Home snap-in lists Health Monitor alerts, performance counters, and services.

To view server status from the Health Monitor snap-in

  1. From the Small Business Server Administrator Console, expand the Console Tree, and then click Health Monitor.
  2. Use the Health Monitor snap-in to view detailed server status information or to configure actions based on server conditions.

Related Topics

Customize Server Status View

Small Business Server Snap-ins


Add an Item to the Console Favorites Menu

You can add any currently selected item to the Favorites menu of a management console.

To add an item to the console Favorites menu

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Select the snap-in or taskpad view that you want to add to the Favorites menu. You can add only items that you are currently viewing.
  3. Click Favorites, and then click Add to Favorites.

Related Topics

Customizing Management Consoles


Add a Query Node to the BackOffice Manager Snap-in

You can use query nodes to create and save custom queries in the BackOffice Manager snap-in.

To add a query node

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Select the BackOffice Manager snap-in, click Action, point to New, and then click Query Node to start the Add Query Node Wizard.
  3. Click Next, and then in the Display name box, type a name for the query node.
  4. Click Create Query to select your query objects and options.
  5. Use the Find dialog box to specify the Active Directory objects and queries for your query node. Click OK to close the Find dialog box.
  6. If your query includes new object classes, the wizard prompts you to define the context menu items and query list view that you want available for these objects. Follow the on-screen instructions to define the context menus and display properties for the new objects or to skip to the end of the wizard.

Tip Add only the context menu items and display properties that the intended administrator will need to manage this Active Directory object.

  7. Follow the on-screen instructions to complete the Add Query Node Wizard.

Related Topics

Define the Context Menu for BackOffice Manager Queries

Customize Query List Views

Small Business Server Snap-ins


Add an Aggregator Node to the BackOffice Manager Snap-in

Use aggregator nodes to group one or more query nodes in the BackOffice Manager snap-in.

To add an aggregator node

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Select the BackOffice Manager snap-in, click Action, point to New, and then click Aggregator Node.
  3. Type a display name for the new aggregator node, and then select the appropriate check boxes for any scope or filter that you want to apply to lower-level query nodes.
  4. Click OK to create the aggregator node.

Related Topics

Small Business Server Snap-ins


Add an Active Directory Object to the BackOffice Manager Snap-in

You must add new Active Directory objects to the BackOffice Manager snap-in when you add the snap-in to a new management console or when you create a query of previously undefined Active Directory objects.

In the preconfigured Small Business Server management consoles, the BackOffice Manager snap-in recognizes the following Active Directory objects:

  • Computer
  • Group
  • Printer
  • User

Note You can add new objects to the BackOffice Manager snap-in by using either the procedures below or by using the Add Query Node Wizard.

To add an Active Directory object to the BackOffice Manager snap-in

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. From the Console Tree, click the BackOffice Manager snap-in.
  3. Click Action, and then click Properties.
  4. Click the Objects tab, and then click Add to start the Add Object Wizard.
  5. Follow the on-screen instructions to complete the wizard.

Related Topics

Add Query Node to the BackOffice Manager Snap-in

Small Business Server Snap-ins


Define the Context Menu for BackOffice Manager Queries

The BackOffice Manager snap-in enables you to define the context menu that is listed for each query. The context menu lists the available tasks that can be performed on the Active Directory objects that are returned by the query. You can customize these tasks to match a user's requirements or security level.

The context menus appear in the Action menu and in the context-sensitive menu that appears when a user right-clicks an item in the Details Pane.

Note A context menu is not visible unless there are objects to display from the query. However, you can still define the contents of the context menu for a query even if there are no objects to display.

To define the context menu for a BackOffice Manager query

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. From the Console Tree, select the query node that you want to customize.
  3. Click Action, and then click Properties.
  4. Click the Context Menu tab, and then select the check boxes for the context menu items you want to add or remove. You can also select a menu item and use the Move Up and Move Down buttons to change the order of menu items.
  5. Click OK to save your changes.

Related Topics

Add a Query Node to the BackOffice Manager Snap-in

Add an Active Directory Object to the BackOffice Manager Snap-in


Add a Security Group

You can create new security groups to manage your Small Business Server resources and users. If you are following the Small Business Server security group scheme, add users to global security groups and add network resources, such as printers, faxes, or shared folders, to domain local security groups.

To add a security group

The way that you access the Add Security Wizard depends on the Small Business Server management console that you use.

  1. Do one of the following:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager node, click Security Groups, right-click any user in the Details Pane, and then click Add Group.
    • From the Small Business Server Personal Console, click the Security Groups Favorites link, and then click Add Group in the Details Pane.
  2. Follow the on-screen instruction to complete the Add Security Group wizard.

Related Topics

Using Security Groups to Control Access to Resources


Remove an Extension from a Snap-in

Removing an extension from a snap-in removes all the tasks associated with that extension. The other functions of the snap-in are not affected.

To remove an extension from a snap-in

  1. Open, in author mode, the console that you want to change.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc) file, and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a and then click OK.
  2. Click Console, and then click Add/Remove Snap-in.
  3. In the Add/Remove Snap-in dialog box, click the Extensions tab.
  4. In the Snap-ins that can be extended list, select the snap-in from which you want to remove the extension or extensions.
  5. Clear the Add all extensions check box, and then select the check boxes for the extensions you want to remove.
  6. Click OK to remove the extensions.

Related Topics

Small Business Server Snap-ins


Add a User to a Security Group

Every user must be a member of at least one security group. A user's security group memberships determine which network resources the user can access and change. You can add, remove, or change a user's security group membership from either of the preconfigured Small Business Server management consoles.

To add a user to a security group

The way in which you add users to a security group depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user in the Details Pane, and then click Add Members to Group.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user in the Details Pane, and then click Add User to Group.
  2. In the Select Groups dialog box, click the group or groups to which you want to add the user, and then click Add.
  3. Click OK when finished.

Note Small Business Server recognizes all Microsoft Windows 2000 predefined security groups and any groups that you define through Active Directory.

Related Topics

Add a User

Applying Group Policies


Set User Account Restrictions

In addition to assigning users to security groups, administrators can control user access to the Small Business Server network by setting user-specific account restrictions. This includes logon hours, password expirations, and available Microsoft Exchange features.

To set user-specific account restrictions

The way in which you set user account restrictions depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user in the Details Pane, and then click Properties.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user in the Details Pane, and then click Change User Properties.
  2. In the User Properties dialog box, click the tab for the account features on which you want to restrict user access, and then click Help for more information.
  3. Click OK when you are finished defining account restrictions.

Related Topics

Review or Change Printer Properties


Using the Default Small Business Server Shared Folders

Small Business Server installs and configures several shared folders during setup. The following table lists some of the shared folders that are created during setup and how Small Business Server uses them.

Shared folder | Intended usage | Share permissions
ClientApps5 | Store and distribute client applications | Everyone
Clients | Stores client setup information and logon scripts | Everyone
Company | Central location for company shared folders and files | Domain Users
Fax Clients | Stores Shared Fax Service client setup information | Administrators Everyone
MpClients | Stores Shared Modem Service client setup information for various Windows operating systems | Administrators Everyone
Mspclnt | Stores Internet Security and Acceleration Server 2000 client setup information | Everyone
Terminal Services Client | Stores Windows 2000 Terminal Services client setup information | Administrators Domain Users
Users | Central location for users to store folders and files | Administrators Domain Users

Note Shared folders with share permissions to the Everyone group, which is a Windows 2000 special identity, grant access to all authenticated users on the domain including anonymous users and guests.

You can customize any of the default shared folders to better suit your needs, but it is recommended that you limit your customization to the ClientApps5, Company, and Users shared folders. The following table lists some recommended customizations for these shared folders.

Shared folder | Recommended customizations
ClientApps5 | Add new subfolders for each new client application (for example, Microsoft Office) that you want to distribute to your client computers.
Company | Add new subfolders for company wide data.
Users | Add new subfolders for each user.

If you need greater security over the Small Business Server default shared folders, you can customize the share permissions to enable only specific users or groups to access the shared folder. Refer to the related topics listed below for more information about customizing the security permissions of shared folders.

Related Topics

Using Security Groups to Restrict Access to Shared Folders


Using Security Groups to Restrict Access to Shared Folders

If you use the default selections, all shared folders that are created with the Add Shared Folder Wizard will grant full control access to members of the Administrators and BackOffice Folder Operators security groups. Members of the Domain Users security group, which includes all users created from Small Business Template Users, will have only read access to shared folders that are created on the Small Business Server computer.

If you need greater control over shared folders, you can change the default share settings in the Add Shared Folder Wizard to restrict user access to a shared folder. For example, if you want to restrict read access on a shared folder to a particular group, you can configure the Domain Users security group to have no share permissions and grant a custom security group exclusive access. The following sections illustrate how you can do this.

Suppose the fictional company A Datum Corporation has the following users and shared folders to manage:

Table 1

Users | Shared folders
Alpha Beta Delta Gamma | Payroll Product Information

The administrator decides to grant only the users Alpha and Beta read access to the Payroll shared folder. However, the administrator wants to grant all users read access to the Product Information shared folder.

The administrator first creates four new user accounts by using the Add User Wizard. The administrator creates each new user account by using the Small Business User template. By default, this template makes all four users members of the Domain Users security group and grants them access to all shared folders.

Next, the administrator uses the Add Security Group Wizard to create a new global security group called Payroll Users. This global group will be given exclusive read access to the Payroll shared folder. The administrator now uses the Add User to Group Wizard to assign users Alpha and Beta to the new global security group. The final result is listed in Table 2.

Table 2

Global security groups | Assigned users
Payroll Users | Alpha and Beta
Domain Users | Alpha, Beta, Delta, and Gamma

Now the administrator uses the Add Shared Folder Wizard to create and customize the share permissions on the Payroll shared folder. On the Share Permissions page of the wizard, the administrator adds the Domain Users security group and clears the read, change, and full control access options. This prevents Domain users from accessing the Payroll shared folder. Lastly, the administrator adds the Payroll Users security group and selects the read, change, and full control access options. The final result is listed in Table 3.

Table 3

Global security groups | Access to Payroll shared folder
Payroll Users | Read, change, and full control
Domain Users | No access

Based on the share permissions listed in Table 3, only the users Alpha and Beta, as members of the Payroll Users global security group, have access to the Payroll shared folder. As members of the Domain Users security group, however, users Alpha, Beta, Delta, and Gamma have access to the Product Information shared folder.

Related Topics

Add a New Security Group

Add a User to a Security Group


Add a User to the Backup Operators Security Group

You can assign special user accounts to the Backup Operators security group to assist in Small Business Server maintenance. Users added to the built-in Backup Operators security group can back up and restore files on the Small Business Server computer, regardless of the security settings on those files. Backup Operators can schedule backup tasks but cannot change the system’s backup devices and drivers.

To add an existing user to the Backup Operators group

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, and then click Users.
  2. Right-click the user you want to add to the Backup Operators security group, and then click Add members to Group.
  3. Select Backup Operators from the list, and then click OK to assign the group.

To create a new user in the Backup Operators group

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, and then click Users.
  2. From the Details Pane, right-click any user name, and then click Add User.
  3. Follow the on-screen instructions to create a new user. On the User Properties page of the wizard, select the Specify individual settings for this user option, and then continue to the next page of the wizard.
  4. On the Group Membership page of the wizard, click Browse, expand the node listing your server name, select the Builtin folder, click OK, and then select Backup Operators from the list of security groups.
  5. Follow the on-screen instructions to complete the wizard.

Related Topics

Applying Windows 2000 Group Policies


Grant or Revoke Remote Access Permission for a User

User accounts cannot access Small Business Server remotely until you grant them remote access privileges. You can grant a user account remote access permission when creating the user from the Add User Wizard or from the BackOffice Manager snap-in that is available from the Small Business Server Administrator Console.

Important You must also configure your server to accept remote access connections from the users and groups that you grant permission.

To grant or revoke remote access permission for a user

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager node, and then click the Users query.
  2. In the Details Pane, right-click the user account name for which you want to grant or revoke permission, and then click Properties.
  3. Click the Dial-in tab.
  4. In the Remote Access Permission (Dial-in or VPN) pane, click either Allow Access or Deny Access.
  5. Click OK to add or revoke remote access permission.

Related Topics

Give Users Access to Terminal Services


Managing Shared Modems

Shared Modem Service enables anyone on your network to use the modems that are installed on your server. By using Shared Modem Service, a user can connect to a shared modem and use it just as if it were connected to a COM port on his or her computer.

Installing Modems

Microsoft® Small Business Server 2000 supports all modems on the Microsoft Windows® 2000 Server Hardware Compatibility List. You can view the list at the following location on the Internet:

http://www.microsoft.com/windows2000/upgrade/compat/default.asp

Business class modems are recommended for heavy use.

Sharing Modems

Sharing modems on your Small Business Server network provides the following benefits:

  • Reduced hardware costs. Users no longer need modems for their individual computers. If a user is using a third-party application that requires a dial-up connection, he or she can connect to a shared modem and use it just as if it were connected to a COM port on the computer. This means your business can get the most from your modems and phone lines by sharing access to them.
  • Reduced wait times. If you have more than one shared modem, BackOffice Server selects a modem that is available.
  • Reduced administration time. With shared modems, you spend less time setting up and configuring modems.

You can share any modem that is installed on Small Business Server. However, you should consider the following factors when selecting modems to share:

  • Each shared modem for dialing out should have its own dedicated phone line so that incoming voice or fax calls are not blocked.
  • The quantity of modems that is required for your organization should be based on how essential the use of a modem is to each person's job. If many employees dial out often, you need more modems.
  • Modems of the same brand and model simplify modem sharing. You can share modems of the same type in a single modem pool and save time when configuring client computers.
  • You can share as many as four modems of the same type in each modem pool.
  • External modems may be easier to use, because it is possible to reset them without restarting the server.

Using Calling Cards

Small Business Server supports the use of calling cards. A calling card is a set of information that applications use to create the sequence of numbers to dial for a particular call. This is convenient for frequently dialed numbers.

Related Topics

How to Manage Modems and Modem Pools


How To

This section outlines the basic steps that are required to manage modems and modem pools on your network.

Adding or Removing Modems

You can add and remove modems that are attached to Small Business Server.

Add a Modem

Remove a Modem

Managing Modem Pools

You can manage shared modems by creating a modem pool, adding modems to and removing modems from a modem pool, viewing the status of a modem pool, and configuring modem dialing rules.

Automatically Configure a Modem Pool

Create a Modem Pool

Remove a Modem Pool

Add a Modem to a Modem Pool

Remove a Modem from a Modem Pool

View the Status of a Modem Pool

Disconnect a Client from a Modem Pool

Add a Dialing Location

Using Calling Cards

You can use calling cards with applications that support them.

Create a Calling Card

Remove a Calling Card

Use a Predefined Calling Card


Add a Modem

Before you follow these steps, install the modem into the computer according to the manufacturer's instructions. If the modem has its own power supply, turn it on.

To add a modem

  1. Open Phone and Modem Options
    Click Start, point to Settings, and then click Control Panel. Double-click Phone and Modem Options and then click the Modems tab.
  2. Click Add to start the Add/Remove Hardware Wizard.
  3. Click Next to enable Windows to detect your modem.
  4. If your modem is not detected, click Next to select your modem from the list.

Note To ensure that you have the latest driver installed, visit the modem manufacturer's Web site or review the modem package material.

  5. Follow the on-screen instructions to complete the wizard.

Related Topics

Add a Modem to a Modem Pool

Configuring RRAS


Remove a Modem

There are two ways to remove a modem. The first way is to disable the modem to make it unavailable for use. By doing this, the modem remains physically installed on the server and can easily be enabled for future use. The second way is to remove the modem. This is necessary if you are physically removing the modem from the server.

To disable a modem

  1. Click Start, point to Programs, point to Microsoft Small Business Server, and then click Small Business Server Administrator Console.
  2. Double-click Computer Management (Local), double-click System Tools, and then double-click Device Manager.
  3. In the Details Pane, double-click Modems.
  4. Right-click the modem that you want to disable, click Disable, and then click Yes to confirm.

To remove a modem

  1. Open Phone and Modem Options
    Click Start, point to Settings, and then click Control Panel. Double-click Phone and Modem Options and then click the Modems tab.
  2. Select a modem from the list, and then click Remove.
  3. Click Yes to confirm, and then click OK to close Phone and Modem Options.

Important If the modem is an internal modem, you must also physically remove the modem card from your computer; otherwise, your system may detect the hardware automatically and try to reinstall it.


Add a Dialing Location

Dialing locations are used to store specific dialing information about the location you are dialing from, and are used by telephony applications such as Shared Fax Service and Shared Modem Service. They can contain dialing rules and calling card information. A dialing location called New Location was created during setup. You can change this dialing location or add additional dialing locations.

To add a dialing location

  1. Open Phone and Modem Options
    Click Start, point to Settings, and then click Control Panel. Double-click Phone and Modem Options and then click the Modems tab.
  2. Click the Dialing Rules tab, and then click New.
  3. In the Location name box, type a name for your new dialing location.
  4. In the Country/region list, select your geographical location, and then type your area code in the box provided.
  5. Under Dialing rules, type the numbers that you dial to access outside lines for local calls and for long-distance calls. Leave the boxes blank if this does not apply to you.
  6. If your location uses the call-waiting feature, select the To disable call waiting, dial check box. In the list that appears, select the dialing sequence that disables call waiting. If the list does not contain an appropriate selection, type the applicable dialing sequence in the space provided.
  7. Select either Tone dialing (default) or Pulse dialing.
  8. If you want to use a calling card, click the Calling card tab. In the Card Types list, select the appropriate calling card. If there is no appropriate calling card, click New to create a new entry.
  9. Click OK to save your changes.

Related Topics

Calling Cards


Automatically Configure a Modem Pool

When Shared Modem Service is first set up, no modem pools are configured. You can use the Auto Configure option to automatically configure a modem pool. Auto Configure scans your server for modem devices, and then groups them into modem pools according to the modem type. If a modem is not defined on a port, the serial port is added to the list of available ports.

Tip It is recommended that, if you have multiple modems, you remove any fax modems from the modem pools.

To use the Auto Configure option

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Configuration tab, and then click Auto Configure.
  3. Click Apply, and then click OK to close the Configuration Changed dialog box.
  4. Click the Status tab, and then select Modem Pool to choose the modem.
  5. Click Apply.
  6. Click the General tab.
  7. Click Stop to stop Shared Modem Service.

Note The modem pools are not available to users until Shared Modem Service is restarted.

To restart Shared Modem Service

  1. Click Start, point to Programs, point to Administrative Tools, and then click Services.
  2. Right-click Shared Modem Service, and then click Restart.


Create a Modem Pool

Follow these steps to create a modem pool on your server.

To create a modem pool

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Configuration tab, and then click Add.
  3. In the Pool Name box, type the name that you want to assign to the modem pool. This is the name that users see when they view the modem pools to which they want to connect.
  4. In the Description box, type a description for the pool name that you just entered.
  5. Click OK to confirm.
  6. All available COM ports that correspond to the selected modem type appear in the Available for Pool list. Select an available COM port, and then click the arrow to move your selection to the Assigned to Pool list. A modem can use as many as four ports. Repeat this step for each additional port that you want to add.
  7. Click Apply to apply your configuration.
  8. Click the Status tab. In the Modem Pool list, select each modem pool to verify that no one is currently connected to a modem pool.
  9. Click the General tab.

Important This procedure requires you to stop and then restart Shared Modem Service. This disconnects users who are connected to a shared modem. Services are not available to users until Shared Modem Service is restarted. Before restarting Shared Modem Service, verify that none of your network users is currently using a shared modem.

  10. Click Stop to stop the Shared Modem Service.

Note Modems cannot belong to multiple modem pools. If you want to include a modem that already belongs to an existing pool, you must first remove that modem from its current pool.

Related Topics

Remove a Modem from a Modem Pool


Remove a Modem Pool

Follow the steps below to remove a modem pool from your server. If the Shared Modem Service is already started, you must stop and then restart the service to activate your changes.

To remove a modem pool

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Status tab. In the Modem Pool list, select the modem pool that you want to remove. Verify that no one is using the modem pool.
  3. Click the Status tab. In the Modem Pool list, select each modem pool to verify that no one is currently connected to a modem pool.
  4. Click the Configuration tab.
  5. In the Pool list, select the modem pool that you want to remove.
  6. Click Remove, and then click Yes to confirm.

    Important This procedure requires you to stop and then restart Shared Modem Service. This disconnects users who are connected to a shared modem. Services are not available to users until Shared Modem Service is restarted. Before restarting Shared Modem Service, verify that none of your network users is currently using a shared modem.

  7. Click Apply.
  8. Click OK.
  9. Click the General tab.
  10. Click Stop to stop the Shared Modem Service. Click Yes to confirm that you want to stop Shared Modem Service.
  11. Click Start to restart Shared Modem Service.


Add a Modem to a Modem Pool

You must create modem pools before you can add a modem to a modem pool. All modems in the pool must be of identical make and model.

To add a modem to a modem pool

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Configuration tab.
  3. In the Pool list, select the modem pool to which you want to add a modem.
  4. In the Available for Pool list, select an available COM port, and then click the arrow to move your selection to the Assigned to Pool list. A modem pool can include as many as four ports. Repeat this step for each additional port that you want to add.
  5. Click Apply to apply your configuration. Click OK to close the Configuration Changed dialog box.

    Important This procedure requires you to stop and then restart Shared Modem Service. This disconnects users who are connected to a shared modem. Services are not available to users until Shared Modem Service is restarted. Before restarting Shared Modem Service, verify that none of your network users is currently using a shared modem.

  6. Click the Status tab. In the Modem Pool list, select each modem pool to verify that no one is currently connected to a modem pool.
  7. Click the General tab.
  8. Click Stop to stop Shared Modem Service. Click Yes to confirm that you want to stop Shared Modem Service.
  9. Click Start to restart Shared Modem Service.


Remove a Modem from a Modem Pool

Removing a modem from a modem pool removes it from only Shared Modem Service. It does not remove the modem from the server.

To remove a modem from a modem pool

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Status tab.
  3. In the Modem Pool list, select each of the modem pools to verify that no one is currently connected to a modem pool.
  4. Click the Configuration tab.
  5. In the Pool list, select the modem pool from which you want to remove a modem.
  6. Under Assigned to Pool, select the COM port that represents the modem that you want to remove. To move the selected COM port to the Available for Pool list, click the arrow.
  7. Click Apply to apply your changes. Click OK to close the Configuration Changed dialog box.

Important This procedure requires you to stop and then restart Shared Modem Service. This disconnects users who are connected to a shared modem. Services are not available to users until Shared Modem Service is restarted.

  8. Click OK to exit the Shared Modem Service Admin page.
  9. Click Start, point to Programs, point to Administrative Tools, and then click Services.
  10. Right-click Shared Modem Service, and then click Restart.


View the Status of a Modem Pool

Follow these steps to view the status of a modem pool, including the number of active connections and the users that are connected.

To view the status of a modem pool

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Status tab.
  3. In the Modem Pool list, select the modem pool that you want to view. The status of the modem pool, including connection information, appears.
  4. Click OK to close the Shared Modem Service Admin page.


Disconnect a Client From a Modem Pool

You can manually disconnect clients from a modem pool.

To disconnect a client from a modem pool

  1. Open Shared Modem Service Admin
    Click Start, point to Settings, and then click Control Panel. Double-click Shared Modem Service.
  2. Click the Status tab.
  3. In the Modem Pool list, select the modem pool that the client is currently using.
  4. In the list that appears, select the user, and then click Disconnect.

Note Clients do not receive any warning before they are disconnected.

  5. Click OK to exit the Shared Modem Service Admin page.


Calling Cards

A calling card is a set of information that is used to dial a particular call. The calling card can include a calling card number that can be dialed at a specific time during call placement. However, the calling card does not have to specify a calling card number. To help you remember them, you can name calling cards anything you choose.

The Calling Card configuration page is accessible from Phone and Modem Options in Control Panel. It includes predefined settings for several popular calling cards, including Sprint, MCI, British Telecom, France Telecom Mercury, and Telecom New Zealand. You can use the predefined settings or change them to create your own calling cards.

On the Calling Card page, you can add new calling cards, edit existing calling cards, and remove calling cards that are no longer needed.

Related Topics

Use a Predefined Calling Card

Create a Calling Card

Remove a Calling Card

Dialing Rules


Use a Predefined Calling Card

Small Business Server automatically includes predefined settings for several popular calling cards, including Sprint, MCI, British Telecom, France Telecom Mercury, and Telecom New Zealand. Before using the calling card, you must change the card by adding a PIN number and, if necessary, an account number.

To use a predefined calling card

  1. Open Phone and Modem Options
    Click Start, point to Settings, and then click Control Panel. Double-click Phone and Modem Options.
  2. Click Dialing Rules, select the location from which you are dialing, and then click Edit.
  3. Click the Calling Card tab.
  4. In the list that appears, select a calling card type.
  5. In the Account number box, type your account number, if necessary.
  6. In the Personal ID number box, type a PIN number.
  7. If you want to make any additional configurations to the card settings, click Edit.
  8. Click OK to save your calling card settings.


Create a Calling Card

The information that is stored in a calling card includes the name, card number, and the dialing rules for local, long-distance, and international calls. Small Business Server automatically includes predefined settings for several popular calling cards, including Sprint, MCI, British Telecom, France Telecom Mercury, and Telecom New Zealand. You can use the predefined settings or change them to create your own calling cards.

To create a calling card

  1. Open Phone and Modem Options
    Click Start, point to Settings, and then click Control Panel. Double-click Phone and Modem Options.
  2. Click the Dialing Rules tab, select your dialing location, and then click Edit.
  3. Click Calling Card, and then click New.
  4. In the Calling card name box, type a descriptive name for your new calling card.
  5. In the Personal identification number box, type a PIN number.
  6. Click the Long Distance tab, and then select the appropriate calling card sequence for this calling card.
  7. Click the International tab, and then select the appropriate calling card sequence for this calling card.
  8. Click the Local Calls tab, and then select the appropriate calling card sequence for this calling card.
  9. When you have finished selecting calling card sequences, click OK.
  10. Click OK to close the Edit Location page.

Note The calling card is not tied to a specific location and therefore is available for general use.

  11. Click OK to exit the Phone and Modem Options dialog box.

Related Topics

Dialing Rules


Remove a Calling Card

Follow these steps to remove a calling card.

To remove a calling card

  1. Open Phone and Modem Options
    Click Start, point to Settings, and then click Control Panel. Double-click Phone and Modem Options.
  2. Click Dialing Rules, select the location from which you are calling, and then click Edit.
  3. Click Calling Card.
  4. Select the calling card that you want to remove, and then click Delete.
  5. Click Yes to confirm.
  6. Click OK to close the Edit Location dialog box.
  7. Click OK to close the Phone and Modem Options dialog box.


Dialing Rules

You can use the following characters to define rules for dialing calls.

Enter | To
0-9 | Dial telephone numbers
ABCD | Dial characters (tone dialing only; used for special control on some systems)
E | Dial the country/region code
F | Dial the area code (city code)
G | Dial the local number
H | Dial the card number
*,# | Dial special characters (tone dialing only)
T | Dial subsequent numbers (tone dialing only)
P | Dial subsequent numbers (pulse dialing)
, | Pause for a fixed time
! | Lash (1/2 second on hook, 1/2 second off hook)
W | Wait for second dial tone
@ | Wait for quiet answer (ringback followed by 5 seconds of silence)
$ | Wait for calling card prompt tone
? | Suspend dialing until user provides input


Managing Printers

Network users can share printer resources when you install a shared printer on your computer running Microsoft® Small Business Server 2000.

Figure 1 Sharing a printer by using Small Business Server

Small Business Server supports all printers on the Microsoft Windows® 2000 Hardware Compatibility List.

Adding or Removing a Printer

After installing Small Business Server, you can add, remove, and configure the network printers directly from either of the preconfigured Small Business Server management consoles.

  • Add a Printer
  • Remove a Printer

Changing Printer Properties

You can use either of the preconfigured Small Business Server management consoles to access printer settings, such as port assignments, security, sharing, and print options, such as page separators.

  • Review or Change Printer Properties
  • Control User Access to a Printer

Managing Print Jobs

Until a document is finished printing on a shared printer, it appears in the job list for that printer. While a print job is in the job list, you can view pending print jobs, change the order of print jobs, and pause, resume, or cancel print jobs from either of the Small Business Server management consoles.

  • View or Manage Print Jobs
  • Delete a Print Job
  • Change the Order of Jobs in the Print Queue
  • Configure Separator Pages
  • Disable Print Job Notification

Troubleshooting Printers

Troubleshooting provides additional information to help you manage printers.

  • Troubleshooting Printers


Control User Access to a Printer

If your users are having problems printing, you can review the groups and users that have permissions to share the printer.

To manage a shared printer

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Right-click the printer that you want to manage, and then click Sharing.
  3. Verify that Shared is selected and that the share name is correct.

Related Topics

Applying Windows 2000 Group Policies


Change the Order of Jobs in the Print Queue

As an administrator or member of the Print Operators group, you can change the order of jobs in the print queue by altering the priority of a print job. Users can change only the order of their own print jobs unless they have been explicitly granted printer management rights.

To change the priority of a print job

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Double-click the printer that you are using.
  3. Double-click the document that you want to move.
  4. Click the General tab, and then move the Priority slider to increase or decrease the document priority.

Changing the priority of a print job usually changes the order in which the job is printed. For example, if three print jobs are waiting to be printed, and Job Three is given a priority higher than Job Two, then Job Three prints before Job Two.

Note You cannot change the order of a job while it is printing.


Configure Separator Pages

You can separate print jobs with a customized separator page. Separator pages (also called banner pages) are used at the beginning of each print job to make it easier for users to find their print jobs among others at the printer.

To add separator pages between your print jobs

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Right-click the printer that you want to configure for separator pages, and then click Properties.
  3. On the Advanced tab, click Separator Page.
  4. Click Browse.
  5. Select an available separator page file (separator files have a .sep suffix).
  6. Click Open, click OK to close the Separator Page dialog box, and then click OK to save your printer's properties.

Note The following four separator page files are included with Windows 2000 Server:

  • Pcl.sep: Switches the printer to PCL printing and prints a page before each document.
  • Pscript.sep: Switches the printer to PostScript printing, but does not print a separator page before each document.
  • Sysprint.sep: Prints a page before each document.
  • Sysprtj.sep: Prints a page before each document and sets Japanese fonts if available.

Pcl.sep is compatible with PCL printers. Pscript.sep, Sysprint.sep, and Sysprtj.sep are compatible with PostScript printers.

Important Separator pages do not work with a fax printer.


Disable Print Job Notification

You can disable all Microsoft Windows 2000 print job notifications from your Small Business Server computer. Print job notification sends a message to your monitor confirming that a print job has finished printing.

To disable print job notification

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Click File, and then click Server Properties.
  3. Click the Advanced tab.
  4. Clear the Notify when remote documents are printed check box.
  5. Click OK to save your changes.


Remove a Printer

To remove a printer from your network, you must remove it from Microsoft Windows 2000 Server.

To remove a network printer

  1. Open the Printers
    Click Start, point to Settings, and then click Printers.
  2. Right-click the printer that you want to remove, and then click Delete.
  3. Click Yes to remove the printer from your network.


Troubleshooting Printers

To view available troubleshooting topics, click one of the following links.

Print Job Finishes But Nothing Prints

Problems Installing a Printer Driver on a Client Computer

Cannot Find a Printer In the Shared Printer List

Problems Deleting a Print Job

Cannot Connect to a Network Printer


Print Job Finishes but Nothing Prints

First, try to determine whether the client's printing problem is tied to a specific application or whether the user cannot print anything on the printing device. Try sending a simple document, such as a Notepad file, to the printer.

If the client is able to print a simple document

The printing problem could be tied to the settings in the application from which the user is printing.

  1. On the File menu of the application from which the user is trying to print, choose Print Setup (or Page Setup), then click Printer.
  2. Ensure that the printing device specified in the dialog box matches the printing device.
  3. If you change any settings, try printing the document again.

If the user is trying to print a PostScript file, make sure the printer is a PostScript printer.

  1. Click Start, point to Settings, and then click Printers.
  2. Right-click the printer and point to Properties.
  3. Click the General tab.

    Verify that the correct printer driver is installed.

  4. Change the printer driver by clicking the Advanced tab, then clicking New Driver.

If the client is unable to print a simple document

  1. Click Start, point to Settings, and then point to Printers.
  2. Verify that the client's printer network path is correct.
  3. Make sure the client's network cable is plugged in.
  4. Make sure the printing device is online.

    Most printing devices have an On Line button with a light next to it. The light should be on.


Problems Installing a Printer Driver on a Client Computer

When you install a shared printer on Small Business Server, you can select which client computer operating systems can automatically install the printer drivers from the server. If you choose not to do this, then you must install the printer driver manually during printer installation on the client computer. Follow the steps below to install the printer driver manually on the client computer.

  1. On the client computer, click Start, point to Settings, and then click Printers.
  2. Double-click Add Printer.
  3. Follow the on-screen instructions.
  4. When prompted, insert the printer manufacturer's disk or browse to the network location containing the printer drivers.
  5. Complete the installation.


Cannot Find a Printer in the Shared Printer List

If you are unable to select a printer from the printer list, do the following:

Verify that the printer is being shared

  1. Click Start, point to Settings, and then click Printers.
  2. Right-click the printer and then point to Sharing.
  3. Click the Sharing tab, and verify that Shared as is selected, and that the share name is correct.
  4. Verify that the List in the Directory box is selected.

Verify that the client computer can view other network resources

  1. On the client computer, click Start, point to Search, and then click Files or Folders.
  2. In the Search for files or folders named box, enter the name of your file server.

    Users of older versions of Windows can type net view \\servername from the command prompt.

  3. If the client computer can't see any network resources, check to see that the network cable is attached to the computer.

Make sure the printer's access list is correct

  1. Click Start, then select Settings, and then select Printers.
  2. Right-click the selected printer, and select Properties.
  3. Click the Security tab. There is a list of user groups with access to the printer. Make any necessary adjustments to the access list.


Problems Deleting a Print Job

If the user has problems canceling a print job from his or her client computer, an administrator or print operator can delete the print job from the Small Business Server Administrator console.

  1. From the Small Business Server Administrator console, select the Favorites tab, click Management Shortcuts, and then click Printers.
  2. Right-click the printer you want to manage, and then click Manage Printer Jobs.
  3. Select a print job from the list, and then click Cancel a Print Job.


Cannot Connect to a Network Printer

There are several possible reasons why a client computer cannot connect to a network printer. If you cannot connect to a network printer:

  • Verify that the Client Computer is Connected to the Network
  • Verify That the Printer is Being Shared
  • Verify That Users Have Access to the Printer
  • Check the printer.
    • Make sure the printing device power switch is on.
    • Make sure the printing device is online.

      Most printing devices have an On Line button with a light next to it. The light should be on.

  • Refer to documentation provided by the manufacture of the printer.


Best Practices

Small Business Server provides several ways to help you quickly and efficiently manage user accounts.

Adding Users from Templates

User templates provide a quick and easy way to add a new user with predefined security groups memberships and account information.

Adding Users from Templates

Applying Windows 2000 Group Policies

Microsoft Windows 2000 Group Policies provide administrators with detailed control over how users find and access Active Directory objects in Small Business Server.

Applying Windows 2000 Group Policies


Remove a User Template

If you no longer need a user template, you can remove it from the BackOffice Template User security group.

To remove a user template

The way in which you remove a user template depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Security Groups, right-click the BackOffice Template Users account in the Details Pane, and then click Properties.
    • From the Small Business Server Personal Console, click the Security Groups Favorites link, select the BackOffice Template Users account in the Details Pane, and then click Change User Properties.
  2. Click the Members tab, click the user account that you want to remove, and then click Remove.
  3. Click Yes to close the Active Directory dialog box.
  4. Click OK to close BackOffice Template Users Properties.

Related Topics

Add a New User


Change User Template Properties

You can change user template properties, such as group membership and Terminal Services access rights, from either of the preconfigured Small Business Server management consoles.

To change user template properties

The way in which you change user template properties depends on the Small Business Server management console you use.

  1. Perform one of the following steps:
    • From the Small Business Server Administrator Console, expand the BackOffice Manager snap-in, click Users, right-click a user template in the Details Pane, and then click Properties.
    • From the Small Business Server Personal Console, click the Users Favorites link, select a user template in the Details Pane, and then click Change User Properties.
  2. Click the tab for the user property or properties that you want to change, make your changes, and then click OK to close the dialog box.

Note By default, the Small Business Server user templates include Small Business User, Small Business Power User, and Small Business Administrator.

Related Topics

Add a User